package com.eachscape.models.other.scripts;

import java.lang.reflect.Method;
import java.util.ArrayList;
import java.util.HashMap;
import com.eachscape.managers.LogMgr;

public final class ESEventScripts {

  public static ArrayList<Script> getEventScript(String methodName) throws Exception {
    try
    {
      Class<?> clazz = ESEventScripts.class;

      if(clazz != null) {
        Method method = clazz.getMethod(methodName, new Class[] {} );
        if(method != null)
          return (ArrayList<Script>)method.invoke(null, new Object[] {});
      }
    }
    catch(Exception e) {
      LogMgr.error(ESEventScripts.class.getSimpleName(), e);
      throw e;
    }

    return null;
  }

  private static void addIfNotNull(ArrayList<Script> scripts, Script script) {
    if(script != null)
      scripts.add(script);
  }

  public final static ArrayList<Script> appLaunch() throws Exception {
    ArrayList<Script> scripts = new ArrayList<Script>();
    HashMap<String,String> map;
    map = new HashMap<String,String>();
      map.put("action", "dict_add");
      map.put("condition", "");
      map.put("key", "tab");
      map.put("value", "1");
      map.put("when_value_1", "");
      map.put("when_value_2", "");
      addIfNotNull(scripts, Script.getScriptWithDict(map));

    map = new HashMap<String,String>();
      map.put("action", "view_change");
      map.put("condition", "");
      map.put("duration", "");
      map.put("history", "");
      map.put("transition", "none");
      map.put("view", "26807");
      map.put("when_value_1", "");
      map.put("when_value_2", "");
      addIfNotNull(scripts, Script.getScriptWithDict(map));

    map = new HashMap<String,String>();
      map.put("action", "layer_add");
      map.put("condition", "eq");
      map.put("view", "26820");
      map.put("when_value_1", "tuned");
      map.put("when_value_2", "off");
      addIfNotNull(scripts, Script.getScriptWithDict(map));

    return scripts;
  }

  public final static ArrayList<Script> customIconlargeimage() throws Exception {
    ArrayList<Script> scripts = new ArrayList<Script>();
    HashMap<String,String> map;
    map = new HashMap<String,String>();
      map.put("action", "alert");
      map.put("condition", "");
      map.put("prompt", "yay");
      map.put("when_value_1", "");
      map.put("when_value_2", "");
      addIfNotNull(scripts, Script.getScriptWithDict(map));

    map = new HashMap<String,String>();
      map.put("action", "layer_add");
      map.put("condition", "not empty");
      map.put("view", "26810");
      map.put("when_value_1", "[[ds:/Golden Timeline/item/image_fullscreen]]");
      map.put("when_value_2", "");
      addIfNotNull(scripts, Script.getScriptWithDict(map));

    return scripts;
  }

  public final static ArrayList<Script> customLaunchtapes() throws Exception {
    ArrayList<Script> scripts = new ArrayList<Script>();
    HashMap<String,String> map;
    map = new HashMap<String,String>();
      map.put("action", "view_change");
      map.put("condition", "");
      map.put("duration", "");
      map.put("history", "push");
      map.put("transition", "none");
      map.put("view", "26783");
      map.put("when_value_1", "");
      map.put("when_value_2", "");
      addIfNotNull(scripts, Script.getScriptWithDict(map));

    map = new HashMap<String,String>();
      map.put("action", "layer_add");
      map.put("condition", "");
      map.put("view", "26785");
      map.put("when_value_1", "");
      map.put("when_value_2", "");
      addIfNotNull(scripts, Script.getScriptWithDict(map));

    return scripts;
  }

  public final static ArrayList<Script> customMaptappopup() throws Exception {
    ArrayList<Script> scripts = new ArrayList<Script>();
    HashMap<String,String> map;
    map = new HashMap<String,String>();
      map.put("action", "layer_remove");
      map.put("condition", "");
      map.put("view", "26814");
      map.put("when_value_1", "");
      map.put("when_value_2", "");
      addIfNotNull(scripts, Script.getScriptWithDict(map));

    map = new HashMap<String,String>();
      map.put("action", "layer_add");
      map.put("condition", "");
      map.put("view", "26817");
      map.put("when_value_1", "");
      map.put("when_value_2", "");
      addIfNotNull(scripts, Script.getScriptWithDict(map));

    return scripts;
  }

  public final static ArrayList<Script> customNorthmaptap() throws Exception {
    ArrayList<Script> scripts = new ArrayList<Script>();
    HashMap<String,String> map;
    map = new HashMap<String,String>();
      map.put("action", "db_goto_matching");
      map.put("condition", "");
      map.put("feed", "/6671/item");
      map.put("field", "/6671/item/id");
      map.put("key", "");
      map.put("search_value", "[[var:esPOIID]]");
      map.put("when_value_1", "");
      map.put("when_value_2", "");
      addIfNotNull(scripts, Script.getScriptWithDict(map));

    map = new HashMap<String,String>();
      map.put("action", "container_set_block");
      map.put("block", "144730");
      map.put("condition", "");
      map.put("container", "144639");
      map.put("when_value_1", "");
      map.put("when_value_2", "");
      addIfNotNull(scripts, Script.getScriptWithDict(map));

    map = new HashMap<String,String>();
      map.put("action", "layer_add");
      map.put("condition", "");
      map.put("view", "26802");
      map.put("when_value_1", "");
      map.put("when_value_2", "");
      addIfNotNull(scripts, Script.getScriptWithDict(map));

    map = new HashMap<String,String>();
      map.put("action", "block_refresh");
      map.put("block", "144639");
      map.put("condition", "");
      map.put("duration", "");
      map.put("transition", "none");
      map.put("when_value_1", "");
      map.put("when_value_2", "");
      addIfNotNull(scripts, Script.getScriptWithDict(map));

    return scripts;
  }

  public final static ArrayList<Script> customNorthmaptappopup() throws Exception {
    ArrayList<Script> scripts = new ArrayList<Script>();
    HashMap<String,String> map;
    map = new HashMap<String,String>();
      map.put("action", "layer_remove");
      map.put("condition", "");
      map.put("view", "26802");
      map.put("when_value_1", "");
      map.put("when_value_2", "");
      addIfNotNull(scripts, Script.getScriptWithDict(map));

    map = new HashMap<String,String>();
      map.put("action", "layer_add");
      map.put("condition", "");
      map.put("view", "26803");
      map.put("when_value_1", "");
      map.put("when_value_2", "");
      addIfNotNull(scripts, Script.getScriptWithDict(map));

    return scripts;
  }

  public final static ArrayList<Script> customOpenpopup() throws Exception {
    ArrayList<Script> scripts = new ArrayList<Script>();
    HashMap<String,String> map;
    map = new HashMap<String,String>();
      map.put("action", "dict_add");
      map.put("condition", "");
      map.put("feed", "");
      map.put("key", "stop");
      map.put("value", "[[var:esPOID]]");
      map.put("when_value_1", "");
      map.put("when_value_2", "");
      addIfNotNull(scripts, Script.getScriptWithDict(map));

    map = new HashMap<String,String>();
      map.put("action", "alert");
      map.put("condition", "");
      map.put("prompt", "[[var:stop]]");
      map.put("when_value_1", "");
      map.put("when_value_2", "");
      addIfNotNull(scripts, Script.getScriptWithDict(map));

    return scripts;
  }

  public final static ArrayList<Script> customPlazamaptap() throws Exception {
    ArrayList<Script> scripts = new ArrayList<Script>();
    HashMap<String,String> map;
    map = new HashMap<String,String>();
      map.put("action", "db_goto_matching");
      map.put("condition", "");
      map.put("feed", "/6673/item");
      map.put("field", "/6673/item/id");
      map.put("key", "matched");
      map.put("search_value", "[[var:esPOIID]]");
      map.put("when_value_1", "");
      map.put("when_value_2", "");
      addIfNotNull(scripts, Script.getScriptWithDict(map));

    map = new HashMap<String,String>();
      map.put("action", "layer_remove");
      map.put("condition", "");
      map.put("view", "26814");
      map.put("when_value_1", "");
      map.put("when_value_2", "");
      addIfNotNull(scripts, Script.getScriptWithDict(map));

    map = new HashMap<String,String>();
      map.put("action", "layer_add");
      map.put("condition", "");
      map.put("view", "26814");
      map.put("when_value_1", "");
      map.put("when_value_2", "");
      addIfNotNull(scripts, Script.getScriptWithDict(map));

    return scripts;
  }

  public final static ArrayList<Script> customSouthmaptap() throws Exception {
    ArrayList<Script> scripts = new ArrayList<Script>();
    HashMap<String,String> map;
    map = new HashMap<String,String>();
      map.put("action", "db_goto_matching");
      map.put("condition", "");
      map.put("feed", "/6672/item");
      map.put("field", "/6672/item/id");
      map.put("key", "");
      map.put("search_value", "[[var:esPOIID]]");
      map.put("when_value_1", "");
      map.put("when_value_2", "");
      addIfNotNull(scripts, Script.getScriptWithDict(map));

    map = new HashMap<String,String>();
      map.put("action", "container_set_block");
      map.put("block", "144729");
      map.put("condition", "");
      map.put("container", "144653");
      map.put("when_value_1", "");
      map.put("when_value_2", "");
      addIfNotNull(scripts, Script.getScriptWithDict(map));

    map = new HashMap<String,String>();
      map.put("action", "layer_add");
      map.put("condition", "");
      map.put("view", "26805");
      map.put("when_value_1", "");
      map.put("when_value_2", "");
      addIfNotNull(scripts, Script.getScriptWithDict(map));

    map = new HashMap<String,String>();
      map.put("action", "block_refresh");
      map.put("block", "144653");
      map.put("condition", "");
      map.put("duration", "");
      map.put("transition", "none");
      map.put("when_value_1", "");
      map.put("when_value_2", "");
      addIfNotNull(scripts, Script.getScriptWithDict(map));

    return scripts;
  }

  public final static ArrayList<Script> customSouthmaptappopup() throws Exception {
    ArrayList<Script> scripts = new ArrayList<Script>();
    HashMap<String,String> map;
    map = new HashMap<String,String>();
      map.put("action", "layer_remove");
      map.put("condition", "");
      map.put("view", "26805");
      map.put("when_value_1", "");
      map.put("when_value_2", "");
      addIfNotNull(scripts, Script.getScriptWithDict(map));

    map = new HashMap<String,String>();
      map.put("action", "layer_add");
      map.put("condition", "");
      map.put("view", "26806");
      map.put("when_value_1", "");
      map.put("when_value_2", "");
      addIfNotNull(scripts, Script.getScriptWithDict(map));

    return scripts;
  }

  public final static ArrayList<Script> blockEmpty144316Tap() throws Exception {
    ArrayList<Script> scripts = new ArrayList<Script>();
    HashMap<String,String> map;
    map = new HashMap<String,String>();
      map.put("action", "facebook_post");
      map.put("condition", "");
      map.put("description", "Hi guys, check it out, I'm at the Golden Gate Bridge!");
      map.put("imageLinkUrl", "http://www.goldengatebridge75.org/");
      map.put("imageUrl", "http://goldengatebridge75.org/assets/ggb75-images/wrapper/ggb75_seal.png");
      map.put("linkText", "");
      map.put("linkUrl", "http://www.goldengatebridge75.org/");
      map.put("prompt", "Tell your friends you're at the Golden Gate Bridge!");
      map.put("reporting_value", "");
      map.put("when_value_1", "");
      map.put("when_value_2", "");
      addIfNotNull(scripts, Script.getScriptWithDict(map));

    return scripts;
  }

  public final static ArrayList<Script> blockTitleBar144317TapLeft() throws Exception {
    ArrayList<Script> scripts = new ArrayList<Script>();
    HashMap<String,String> map;
    map = new HashMap<String,String>();
      map.put("action", "view_change");
      map.put("condition", "");
      map.put("duration", "");
      map.put("history", "clear");
      map.put("transition", "none");
      map.put("view", "26746");
      map.put("when_value_1", "");
      map.put("when_value_2", "");
      addIfNotNull(scripts, Script.getScriptWithDict(map));

    return scripts;
  }

  public final static ArrayList<Script> blockTabBarStatic144320Select0() throws Exception {
    ArrayList<Script> scripts = new ArrayList<Script>();
    HashMap<String,String> map;
    map = new HashMap<String,String>();
      map.put("action", "dict_add");
      map.put("condition", "");
      map.put("key", "tab");
      map.put("value", "1");
      map.put("when_value_1", "");
      map.put("when_value_2", "");
      addIfNotNull(scripts, Script.getScriptWithDict(map));

    map = new HashMap<String,String>();
      map.put("action", "view_change");
      map.put("condition", "");
      map.put("duration", "");
      map.put("history", "clear");
      map.put("transition", "none");
      map.put("view", "26746");
      map.put("when_value_1", "");
      map.put("when_value_2", "");
      addIfNotNull(scripts, Script.getScriptWithDict(map));

    map = new HashMap<String,String>();
      map.put("action", "layer_remove_all");
      map.put("condition", "");
      map.put("when_value_1", "");
      map.put("when_value_2", "");
      addIfNotNull(scripts, Script.getScriptWithDict(map));

    return scripts;
  }

  public final static ArrayList<Script> blockTabBarStatic144320Select1() throws Exception {
    ArrayList<Script> scripts = new ArrayList<Script>();
    HashMap<String,String> map;
    map = new HashMap<String,String>();
      map.put("action", "dict_add");
      map.put("condition", "");
      map.put("key", "tab");
      map.put("value", "2");
      map.put("when_value_1", "");
      map.put("when_value_2", "");
      addIfNotNull(scripts, Script.getScriptWithDict(map));

    map = new HashMap<String,String>();
      map.put("action", "view_change");
      map.put("condition", "");
      map.put("duration", "");
      map.put("history", "push");
      map.put("transition", "none");
      map.put("view", "26821");
      map.put("when_value_1", "");
      map.put("when_value_2", "");
      addIfNotNull(scripts, Script.getScriptWithDict(map));

    map = new HashMap<String,String>();
      map.put("action", "layer_remove_all");
      map.put("condition", "");
      map.put("when_value_1", "");
      map.put("when_value_2", "");
      addIfNotNull(scripts, Script.getScriptWithDict(map));

    return scripts;
  }

  public final static ArrayList<Script> blockTabBarStatic144320Select2() throws Exception {
    ArrayList<Script> scripts = new ArrayList<Script>();
    HashMap<String,String> map;
    map = new HashMap<String,String>();
      map.put("action", "dict_add");
      map.put("condition", "");
      map.put("key", "tab");
      map.put("value", "3");
      map.put("when_value_1", "");
      map.put("when_value_2", "");
      addIfNotNull(scripts, Script.getScriptWithDict(map));

    map = new HashMap<String,String>();
      map.put("action", "view_change");
      map.put("condition", "");
      map.put("duration", "");
      map.put("history", "clear");
      map.put("transition", "none");
      map.put("view", "26796");
      map.put("when_value_1", "");
      map.put("when_value_2", "");
      addIfNotNull(scripts, Script.getScriptWithDict(map));

    map = new HashMap<String,String>();
      map.put("action", "layer_remove_all");
      map.put("condition", "");
      map.put("when_value_1", "");
      map.put("when_value_2", "");
      addIfNotNull(scripts, Script.getScriptWithDict(map));

    return scripts;
  }

  public final static ArrayList<Script> blockTabBarStatic144320Select3() throws Exception {
    ArrayList<Script> scripts = new ArrayList<Script>();
    HashMap<String,String> map;
    map = new HashMap<String,String>();
      map.put("action", "dict_add");
      map.put("condition", "");
      map.put("key", "tab");
      map.put("value", "4");
      map.put("when_value_1", "");
      map.put("when_value_2", "");
      addIfNotNull(scripts, Script.getScriptWithDict(map));

    map = new HashMap<String,String>();
      map.put("action", "view_change");
      map.put("condition", "");
      map.put("duration", "");
      map.put("history", "clear");
      map.put("transition", "none");
      map.put("view", "26747");
      map.put("when_value_1", "");
      map.put("when_value_2", "");
      addIfNotNull(scripts, Script.getScriptWithDict(map));

    map = new HashMap<String,String>();
      map.put("action", "layer_remove_all");
      map.put("condition", "");
      map.put("when_value_1", "");
      map.put("when_value_2", "");
      addIfNotNull(scripts, Script.getScriptWithDict(map));

    return scripts;
  }

  public final static ArrayList<Script> blockImage144324Tap() throws Exception {
    ArrayList<Script> scripts = new ArrayList<Script>();
    HashMap<String,String> map;
    map = new HashMap<String,String>();
      map.put("action", "dict_add");
      map.put("condition", "");
      map.put("feed", "");
      map.put("key", "tab");
      map.put("value", "2");
      map.put("when_value_1", "");
      map.put("when_value_2", "");
      addIfNotNull(scripts, Script.getScriptWithDict(map));

    map = new HashMap<String,String>();
      map.put("action", "view_change");
      map.put("condition", "");
      map.put("duration", "");
      map.put("history", "push");
      map.put("transition", "none");
      map.put("view", "26750");
      map.put("when_value_1", "");
      map.put("when_value_2", "");
      addIfNotNull(scripts, Script.getScriptWithDict(map));

    return scripts;
  }

  public final static ArrayList<Script> blockImage144325Tap() throws Exception {
    ArrayList<Script> scripts = new ArrayList<Script>();
    HashMap<String,String> map;
    map = new HashMap<String,String>();
      map.put("action", "view_change");
      map.put("condition", "");
      map.put("duration", "");
      map.put("history", "clear");
      map.put("transition", "none");
      map.put("view", "26765");
      map.put("when_value_1", "");
      map.put("when_value_2", "");
      addIfNotNull(scripts, Script.getScriptWithDict(map));

    return scripts;
  }

  public final static ArrayList<Script> blockImage144326Tap() throws Exception {
    ArrayList<Script> scripts = new ArrayList<Script>();
    HashMap<String,String> map;
    map = new HashMap<String,String>();
      map.put("action", "view_change");
      map.put("condition", "");
      map.put("duration", "");
      map.put("history", "clear");
      map.put("transition", "none");
      map.put("view", "26771");
      map.put("when_value_1", "");
      map.put("when_value_2", "");
      addIfNotNull(scripts, Script.getScriptWithDict(map));

    return scripts;
  }

  public final static ArrayList<Script> blockImage144327Tap() throws Exception {
    ArrayList<Script> scripts = new ArrayList<Script>();
    HashMap<String,String> map;
    map = new HashMap<String,String>();
      map.put("action", "view_change");
      map.put("condition", "");
      map.put("duration", "");
      map.put("history", "clear");
      map.put("transition", "none");
      map.put("view", "26763");
      map.put("when_value_1", "");
      map.put("when_value_2", "");
      addIfNotNull(scripts, Script.getScriptWithDict(map));

    return scripts;
  }

  public final static ArrayList<Script> blockImage144328Tap() throws Exception {
    ArrayList<Script> scripts = new ArrayList<Script>();
    HashMap<String,String> map;
    map = new HashMap<String,String>();
      map.put("action", "dict_add");
      map.put("condition", "");
      map.put("feed", "");
      map.put("key", "tab");
      map.put("value", "4");
      map.put("when_value_1", "");
      map.put("when_value_2", "");
      addIfNotNull(scripts, Script.getScriptWithDict(map));

    map = new HashMap<String,String>();
      map.put("action", "view_change");
      map.put("condition", "");
      map.put("duration", "");
      map.put("history", "clear");
      map.put("transition", "none");
      map.put("view", "26747");
      map.put("when_value_1", "");
      map.put("when_value_2", "");
      addIfNotNull(scripts, Script.getScriptWithDict(map));

    return scripts;
  }

  public final static ArrayList<Script> blockImage144329Tap() throws Exception {
    ArrayList<Script> scripts = new ArrayList<Script>();
    HashMap<String,String> map;
    map = new HashMap<String,String>();
      map.put("action", "view_change");
      map.put("condition", "");
      map.put("duration", "");
      map.put("history", "push");
      map.put("transition", "none");
      map.put("view", "26786");
      map.put("when_value_1", "");
      map.put("when_value_2", "");
      addIfNotNull(scripts, Script.getScriptWithDict(map));

    return scripts;
  }

  public final static ArrayList<Script> blockHtml144336AfterDraw() throws Exception {
    ArrayList<Script> scripts = new ArrayList<Script>();
    HashMap<String,String> map;
    map = new HashMap<String,String>();
      map.put("action", "layer_add");
      map.put("condition", "");
      map.put("view", "26762");
      map.put("when_value_1", "");
      map.put("when_value_2", "");
      addIfNotNull(scripts, Script.getScriptWithDict(map));

    return scripts;
  }

  public final static ArrayList<Script> blockTitleBar144339TapLeft() throws Exception {
    ArrayList<Script> scripts = new ArrayList<Script>();
    HashMap<String,String> map;
    map = new HashMap<String,String>();
      map.put("action", "view_change");
      map.put("condition", "");
      map.put("duration", "");
      map.put("history", "");
      map.put("transition", "none");
      map.put("view", "26746");
      map.put("when_value_1", "");
      map.put("when_value_2", "");
      addIfNotNull(scripts, Script.getScriptWithDict(map));

    return scripts;
  }

  public final static ArrayList<Script> blockTitleBar144340TapLeft() throws Exception {
    ArrayList<Script> scripts = new ArrayList<Script>();
    HashMap<String,String> map;
    map = new HashMap<String,String>();
      map.put("action", "dict_add");
      map.put("condition", "");
      map.put("feed", "");
      map.put("key", "tab");
      map.put("value", "1");
      map.put("when_value_1", "");
      map.put("when_value_2", "");
      addIfNotNull(scripts, Script.getScriptWithDict(map));

    map = new HashMap<String,String>();
      map.put("action", "view_change");
      map.put("condition", "");
      map.put("duration", "");
      map.put("history", "");
      map.put("transition", "none");
      map.put("view", "26747");
      map.put("when_value_1", "");
      map.put("when_value_2", "");
      addIfNotNull(scripts, Script.getScriptWithDict(map));

    map = new HashMap<String,String>();
      map.put("action", "layer_remove_all");
      map.put("condition", "");
      map.put("when_value_1", "");
      map.put("when_value_2", "");
      addIfNotNull(scripts, Script.getScriptWithDict(map));

    return scripts;
  }

  public final static ArrayList<Script> blockTitleBar144340TapRight() throws Exception {
    ArrayList<Script> scripts = new ArrayList<Script>();
    HashMap<String,String> map;
    map = new HashMap<String,String>();
      map.put("action", "layer_add");
      map.put("condition", "");
      map.put("view", "26793");
      map.put("when_value_1", "");
      map.put("when_value_2", "");
      addIfNotNull(scripts, Script.getScriptWithDict(map));

    return scripts;
  }

  public final static ArrayList<Script> blockImage144346Tap() throws Exception {
    ArrayList<Script> scripts = new ArrayList<Script>();
    HashMap<String,String> map;
    map = new HashMap<String,String>();
      map.put("action", "dict_add");
      map.put("condition", "");
      map.put("key", "questionno");
      map.put("value", "1");
      map.put("when_value_1", "");
      map.put("when_value_2", "");
      addIfNotNull(scripts, Script.getScriptWithDict(map));

    map = new HashMap<String,String>();
      map.put("action", "dict_add");
      map.put("condition", "");
      map.put("key", "results");
      map.put("value", "0");
      map.put("when_value_1", "");
      map.put("when_value_2", "");
      addIfNotNull(scripts, Script.getScriptWithDict(map));

    map = new HashMap<String,String>();
      map.put("action", "db_filter");
      map.put("condition", "");
      map.put("criteria", "=\"[[var:questionno]]\"");
      map.put("feed", "/6657/item");
      map.put("field", "/6657/item/question_no");
      map.put("replacement", "1");
      map.put("when_value_1", "");
      map.put("when_value_2", "");
      addIfNotNull(scripts, Script.getScriptWithDict(map));

    map = new HashMap<String,String>();
      map.put("action", "db_filter");
      map.put("condition", "eq");
      map.put("criteria", "=\"[[var:results]]\"");
      map.put("feed", "/6666/item");
      map.put("field", "/6666/item/score");
      map.put("replacement", "1");
      map.put("when_value_1", "[[var:questionno]]");
      map.put("when_value_2", "11");
      addIfNotNull(scripts, Script.getScriptWithDict(map));

    map = new HashMap<String,String>();
      map.put("action", "container_set_block");
      map.put("block", "144351");
      map.put("condition", "");
      map.put("container", "144357");
      map.put("when_value_1", "");
      map.put("when_value_2", "");
      addIfNotNull(scripts, Script.getScriptWithDict(map));

    map = new HashMap<String,String>();
      map.put("action", "container_set_block");
      map.put("block", "144353");
      map.put("condition", "");
      map.put("container", "144358");
      map.put("when_value_1", "");
      map.put("when_value_2", "");
      addIfNotNull(scripts, Script.getScriptWithDict(map));

    map = new HashMap<String,String>();
      map.put("action", "container_set_block");
      map.put("block", "144360");
      map.put("condition", "");
      map.put("container", "144359");
      map.put("when_value_1", "");
      map.put("when_value_2", "");
      addIfNotNull(scripts, Script.getScriptWithDict(map));

    map = new HashMap<String,String>();
      map.put("action", "view_change");
      map.put("condition", "ne");
      map.put("duration", "");
      map.put("history", "");
      map.put("transition", "none");
      map.put("view", "26748");
      map.put("when_value_1", "[[var:questionno]]");
      map.put("when_value_2", "11");
      addIfNotNull(scripts, Script.getScriptWithDict(map));

    map = new HashMap<String,String>();
      map.put("action", "view_change");
      map.put("condition", "eq");
      map.put("duration", "");
      map.put("history", "");
      map.put("transition", "none");
      map.put("view", "26784");
      map.put("when_value_1", "[[var:questionno]]");
      map.put("when_value_2", "11");
      addIfNotNull(scripts, Script.getScriptWithDict(map));

    map = new HashMap<String,String>();
      map.put("action", "layer_remove_all");
      map.put("condition", "");
      map.put("when_value_1", "");
      map.put("when_value_2", "");
      addIfNotNull(scripts, Script.getScriptWithDict(map));

    return scripts;
  }

  public final static ArrayList<Script> blockImage144351Tap() throws Exception {
    ArrayList<Script> scripts = new ArrayList<Script>();
    HashMap<String,String> map;
    map = new HashMap<String,String>();
      map.put("action", "dict_add");
      map.put("condition", "");
      map.put("key", "selected_answer");
      map.put("value", "fact");
      map.put("when_value_1", "");
      map.put("when_value_2", "");
      addIfNotNull(scripts, Script.getScriptWithDict(map));

    map = new HashMap<String,String>();
      map.put("action", "dict_add");
      map.put("condition", "eq");
      map.put("key", "answer");
      map.put("value", "true");
      map.put("when_value_1", "[[ds:/Golden Gate Bridge Quiz/item/correct]]");
      map.put("when_value_2", "fact");
      addIfNotNull(scripts, Script.getScriptWithDict(map));

    map = new HashMap<String,String>();
      map.put("action", "dict_add");
      map.put("condition", "eq");
      map.put("key", "answer");
      map.put("value", "false");
      map.put("when_value_1", "[[ds:/Golden Gate Bridge Quiz/item/correct]]");
      map.put("when_value_2", "fiction");
      addIfNotNull(scripts, Script.getScriptWithDict(map));

    map = new HashMap<String,String>();
      map.put("action", "container_set_block");
      map.put("block", "144352");
      map.put("condition", "");
      map.put("container", "144357");
      map.put("when_value_1", "");
      map.put("when_value_2", "");
      addIfNotNull(scripts, Script.getScriptWithDict(map));

    map = new HashMap<String,String>();
      map.put("action", "view_timer_start");
      map.put("condition", "");
      map.put("seconds", "1");
      map.put("when_value_1", "");
      map.put("when_value_2", "");
      addIfNotNull(scripts, Script.getScriptWithDict(map));

    return scripts;
  }

  public final static ArrayList<Script> blockImage144353Tap() throws Exception {
    ArrayList<Script> scripts = new ArrayList<Script>();
    HashMap<String,String> map;
    map = new HashMap<String,String>();
      map.put("action", "dict_add");
      map.put("condition", "");
      map.put("key", "selected_answer");
      map.put("value", "fiction");
      map.put("when_value_1", "");
      map.put("when_value_2", "");
      addIfNotNull(scripts, Script.getScriptWithDict(map));

    map = new HashMap<String,String>();
      map.put("action", "dict_add");
      map.put("condition", "eq");
      map.put("key", "answer");
      map.put("value", "true");
      map.put("when_value_1", "[[ds:/Golden Gate Bridge Quiz/item/correct]]");
      map.put("when_value_2", "fiction");
      addIfNotNull(scripts, Script.getScriptWithDict(map));

    map = new HashMap<String,String>();
      map.put("action", "dict_add");
      map.put("condition", "eq");
      map.put("key", "answer");
      map.put("value", "false");
      map.put("when_value_1", "[[ds:/Golden Gate Bridge Quiz/item/correct]]");
      map.put("when_value_2", "fact");
      addIfNotNull(scripts, Script.getScriptWithDict(map));

    map = new HashMap<String,String>();
      map.put("action", "container_set_block");
      map.put("block", "144354");
      map.put("condition", "");
      map.put("container", "144358");
      map.put("when_value_1", "");
      map.put("when_value_2", "");
      addIfNotNull(scripts, Script.getScriptWithDict(map));

    map = new HashMap<String,String>();
      map.put("action", "view_timer_start");
      map.put("condition", "");
      map.put("seconds", "1");
      map.put("when_value_1", "");
      map.put("when_value_2", "");
      addIfNotNull(scripts, Script.getScriptWithDict(map));

    return scripts;
  }

  public final static ArrayList<Script> blockContainer144361BeforeDraw() throws Exception {
    ArrayList<Script> scripts = new ArrayList<Script>();
    HashMap<String,String> map;
    map = new HashMap<String,String>();
      map.put("action", "alert");
      map.put("condition", "");
      map.put("prompt", "answer = [[var:answer]]");
      map.put("when_value_1", "");
      map.put("when_value_2", "");
      addIfNotNull(scripts, Script.getScriptWithDict(map));

    map = new HashMap<String,String>();
      map.put("action", "container_set_block");
      map.put("block", "144362");
      map.put("condition", "eq");
      map.put("container", "144361");
      map.put("when_value_1", "[[var:answer]]");
      map.put("when_value_2", "true");
      addIfNotNull(scripts, Script.getScriptWithDict(map));

    map = new HashMap<String,String>();
      map.put("action", "container_set_block");
      map.put("block", "144363");
      map.put("condition", "eq");
      map.put("container", "144361");
      map.put("when_value_1", "[[var:answer]]");
      map.put("when_value_2", "false");
      addIfNotNull(scripts, Script.getScriptWithDict(map));

    return scripts;
  }

  public final static ArrayList<Script> blockImage144368Tap() throws Exception {
    ArrayList<Script> scripts = new ArrayList<Script>();
    HashMap<String,String> map;
    map = new HashMap<String,String>();
      map.put("action", "dict_add");
      map.put("condition", "");
      map.put("key", "questionno");
      map.put("value", "[[var:questionno:add 1]]");
      map.put("when_value_1", "");
      map.put("when_value_2", "");
      addIfNotNull(scripts, Script.getScriptWithDict(map));

    map = new HashMap<String,String>();
      map.put("action", "db_filter");
      map.put("condition", "");
      map.put("criteria", "=\"[[var:questionno]]\"");
      map.put("feed", "/6657/item");
      map.put("field", "/6657/item/question_no");
      map.put("replacement", "1");
      map.put("when_value_1", "");
      map.put("when_value_2", "");
      addIfNotNull(scripts, Script.getScriptWithDict(map));

    map = new HashMap<String,String>();
      map.put("action", "db_filter");
      map.put("condition", "");
      map.put("criteria", "=\"[[var:results]]\"");
      map.put("feed", "/6666/item");
      map.put("field", "/6666/item/score");
      map.put("replacement", "1");
      map.put("when_value_1", "");
      map.put("when_value_2", "");
      addIfNotNull(scripts, Script.getScriptWithDict(map));

    map = new HashMap<String,String>();
      map.put("action", "container_set_block");
      map.put("block", "144351");
      map.put("condition", "");
      map.put("container", "144357");
      map.put("when_value_1", "");
      map.put("when_value_2", "");
      addIfNotNull(scripts, Script.getScriptWithDict(map));

    map = new HashMap<String,String>();
      map.put("action", "container_set_block");
      map.put("block", "144353");
      map.put("condition", "");
      map.put("container", "144358");
      map.put("when_value_1", "");
      map.put("when_value_2", "");
      addIfNotNull(scripts, Script.getScriptWithDict(map));

    map = new HashMap<String,String>();
      map.put("action", "container_set_block");
      map.put("block", "144360");
      map.put("condition", "");
      map.put("container", "144359");
      map.put("when_value_1", "");
      map.put("when_value_2", "");
      addIfNotNull(scripts, Script.getScriptWithDict(map));

    map = new HashMap<String,String>();
      map.put("action", "view_change");
      map.put("condition", "ne");
      map.put("duration", "");
      map.put("history", "");
      map.put("transition", "none");
      map.put("view", "26748");
      map.put("when_value_1", "[[var:questionno]]");
      map.put("when_value_2", "11");
      addIfNotNull(scripts, Script.getScriptWithDict(map));

    map = new HashMap<String,String>();
      map.put("action", "view_change");
      map.put("condition", "eq");
      map.put("duration", "");
      map.put("history", "");
      map.put("transition", "none");
      map.put("view", "26784");
      map.put("when_value_1", "[[var:questionno]]");
      map.put("when_value_2", "11");
      addIfNotNull(scripts, Script.getScriptWithDict(map));

    map = new HashMap<String,String>();
      map.put("action", "layer_remove_all");
      map.put("condition", "");
      map.put("when_value_1", "");
      map.put("when_value_2", "");
      addIfNotNull(scripts, Script.getScriptWithDict(map));

    return scripts;
  }

  public final static ArrayList<Script> blockImage144374Tap() throws Exception {
    ArrayList<Script> scripts = new ArrayList<Script>();
    HashMap<String,String> map;
    map = new HashMap<String,String>();
      map.put("action", "db_filter");
      map.put("condition", "");
      map.put("criteria", "='hell'");
      map.put("feed", "/6663/item");
      map.put("field", "/6663/item/filter");
      map.put("replacement", "1");
      map.put("when_value_1", "");
      map.put("when_value_2", "");
      addIfNotNull(scripts, Script.getScriptWithDict(map));

    map = new HashMap<String,String>();
      map.put("action", "view_change");
      map.put("condition", "");
      map.put("duration", "");
      map.put("history", "clear");
      map.put("transition", "none");
      map.put("view", "26774");
      map.put("when_value_1", "");
      map.put("when_value_2", "");
      addIfNotNull(scripts, Script.getScriptWithDict(map));

    return scripts;
  }

  public final static ArrayList<Script> blockImage144380Tap() throws Exception {
    ArrayList<Script> scripts = new ArrayList<Script>();
    HashMap<String,String> map;
    map = new HashMap<String,String>();
      map.put("action", "view_change");
      map.put("condition", "");
      map.put("duration", "");
      map.put("history", "clear");
      map.put("transition", "none");
      map.put("view", "26765");
      map.put("when_value_1", "");
      map.put("when_value_2", "");
      addIfNotNull(scripts, Script.getScriptWithDict(map));

    return scripts;
  }

  public final static ArrayList<Script> blockImage144381Tap() throws Exception {
    ArrayList<Script> scripts = new ArrayList<Script>();
    HashMap<String,String> map;
    map = new HashMap<String,String>();
      map.put("action", "view_change");
      map.put("condition", "");
      map.put("duration", "");
      map.put("transition", "none");
      map.put("view", "back");
      map.put("when_value_1", "");
      map.put("when_value_2", "");
      addIfNotNull(scripts, Script.getScriptWithDict(map));

    map = new HashMap<String,String>();
      map.put("action", "view_change");
      map.put("condition", "");
      map.put("duration", "");
      map.put("history", "");
      map.put("transition", "none");
      map.put("view", "26774");
      map.put("when_value_1", "");
      map.put("when_value_2", "");
      addIfNotNull(scripts, Script.getScriptWithDict(map));

    return scripts;
  }

  public final static ArrayList<Script> blockImage144382Tap() throws Exception {
    ArrayList<Script> scripts = new ArrayList<Script>();
    HashMap<String,String> map;
    map = new HashMap<String,String>();
      map.put("action", "view_change");
      map.put("condition", "");
      map.put("duration", "");
      map.put("history", "clear");
      map.put("transition", "none");
      map.put("view", "26756");
      map.put("when_value_1", "");
      map.put("when_value_2", "");
      addIfNotNull(scripts, Script.getScriptWithDict(map));

    return scripts;
  }

  public final static ArrayList<Script> blockImage144385Tap() throws Exception {
    ArrayList<Script> scripts = new ArrayList<Script>();
    HashMap<String,String> map;
    map = new HashMap<String,String>();
      map.put("action", "alert");
      map.put("condition", "eq");
      map.put("prompt", "This area requires a data connection. Please try again later.");
      map.put("when_value_1", "[[sys:networkStatus]]");
      map.put("when_value_2", "noneBLA");
      addIfNotNull(scripts, Script.getScriptWithDict(map));

    map = new HashMap<String,String>();
      map.put("action", "view_change");
      map.put("condition", "ne");
      map.put("duration", "");
      map.put("history", "push");
      map.put("transition", "none");
      map.put("view", "26779");
      map.put("when_value_1", "[[sys:networkStatus]]");
      map.put("when_value_2", "noneBLA");
      addIfNotNull(scripts, Script.getScriptWithDict(map));

    return scripts;
  }

  public final static ArrayList<Script> blockTitleBar144386TapLeft() throws Exception {
    ArrayList<Script> scripts = new ArrayList<Script>();
    HashMap<String,String> map;
    map = new HashMap<String,String>();
      map.put("action", "dict_add");
      map.put("condition", "");
      map.put("feed", "");
      map.put("key", "tab");
      map.put("value", "1");
      map.put("when_value_1", "");
      map.put("when_value_2", "");
      addIfNotNull(scripts, Script.getScriptWithDict(map));

    map = new HashMap<String,String>();
      map.put("action", "view_change");
      map.put("condition", "");
      map.put("duration", "");
      map.put("history", "");
      map.put("transition", "none");
      map.put("view", "26763");
      map.put("when_value_1", "");
      map.put("when_value_2", "");
      addIfNotNull(scripts, Script.getScriptWithDict(map));

    return scripts;
  }

  public final static ArrayList<Script> blockTitleBar144386TapRight() throws Exception {
    ArrayList<Script> scripts = new ArrayList<Script>();
    HashMap<String,String> map;
    map = new HashMap<String,String>();
      map.put("action", "layer_add");
      map.put("condition", "");
      map.put("view", "26764");
      map.put("when_value_1", "");
      map.put("when_value_2", "");
      addIfNotNull(scripts, Script.getScriptWithDict(map));

    return scripts;
  }

  public final static ArrayList<Script> blockImage144389Tap() throws Exception {
    ArrayList<Script> scripts = new ArrayList<Script>();
    HashMap<String,String> map;
    map = new HashMap<String,String>();
      map.put("action", "view_change");
      map.put("condition", "");
      map.put("duration", "");
      map.put("history", "push");
      map.put("transition", "none");
      map.put("view", "26749");
      map.put("when_value_1", "");
      map.put("when_value_2", "");
      addIfNotNull(scripts, Script.getScriptWithDict(map));

    map = new HashMap<String,String>();
      map.put("action", "layer_add");
      map.put("condition", "");
      map.put("view", "26780");
      map.put("when_value_1", "");
      map.put("when_value_2", "");
      addIfNotNull(scripts, Script.getScriptWithDict(map));

    return scripts;
  }

  public final static ArrayList<Script> blockTitleBar144393TapLeft() throws Exception {
    ArrayList<Script> scripts = new ArrayList<Script>();
    HashMap<String,String> map;
    map = new HashMap<String,String>();
      map.put("action", "dict_add");
      map.put("condition", "");
      map.put("feed", "");
      map.put("key", "tab");
      map.put("value", "1");
      map.put("when_value_1", "");
      map.put("when_value_2", "");
      addIfNotNull(scripts, Script.getScriptWithDict(map));

    map = new HashMap<String,String>();
      map.put("action", "view_change");
      map.put("condition", "");
      map.put("duration", "");
      map.put("history", "");
      map.put("transition", "none");
      map.put("view", "26747");
      map.put("when_value_1", "");
      map.put("when_value_2", "");
      addIfNotNull(scripts, Script.getScriptWithDict(map));

    return scripts;
  }

  public final static ArrayList<Script> blockTitleBar144394TapLeft() throws Exception {
    ArrayList<Script> scripts = new ArrayList<Script>();
    HashMap<String,String> map;
    map = new HashMap<String,String>();
      map.put("action", "dict_add");
      map.put("condition", "");
      map.put("feed", "");
      map.put("key", "tab");
      map.put("value", "1");
      map.put("when_value_1", "");
      map.put("when_value_2", "");
      addIfNotNull(scripts, Script.getScriptWithDict(map));

    map = new HashMap<String,String>();
      map.put("action", "view_change");
      map.put("condition", "");
      map.put("duration", "");
      map.put("history", "");
      map.put("transition", "none");
      map.put("view", "26747");
      map.put("when_value_1", "");
      map.put("when_value_2", "");
      addIfNotNull(scripts, Script.getScriptWithDict(map));

    return scripts;
  }

  public final static ArrayList<Script> blockTitleBar144397TapLeft() throws Exception {
    ArrayList<Script> scripts = new ArrayList<Script>();
    HashMap<String,String> map;
    map = new HashMap<String,String>();
      map.put("action", "dict_add");
      map.put("condition", "");
      map.put("feed", "");
      map.put("key", "tab");
      map.put("value", "1");
      map.put("when_value_1", "");
      map.put("when_value_2", "");
      addIfNotNull(scripts, Script.getScriptWithDict(map));

    map = new HashMap<String,String>();
      map.put("action", "view_change");
      map.put("condition", "");
      map.put("duration", "");
      map.put("history", "");
      map.put("transition", "none");
      map.put("view", "26747");
      map.put("when_value_1", "");
      map.put("when_value_2", "");
      addIfNotNull(scripts, Script.getScriptWithDict(map));

    return scripts;
  }

  public final static ArrayList<Script> blockImage144398Tap() throws Exception {
    ArrayList<Script> scripts = new ArrayList<Script>();
    HashMap<String,String> map;
    map = new HashMap<String,String>();
      map.put("action", "alert");
      map.put("condition", "");
      map.put("prompt", "Coming Soon!");
      map.put("when_value_1", "");
      map.put("when_value_2", "");
      addIfNotNull(scripts, Script.getScriptWithDict(map));

    return scripts;
  }

  public final static ArrayList<Script> blockImage144399Tap() throws Exception {
    ArrayList<Script> scripts = new ArrayList<Script>();
    HashMap<String,String> map;
    map = new HashMap<String,String>();
      map.put("action", "sound_play");
      map.put("condition", "");
      map.put("source", "foghorn.mp3");
      map.put("when_value_1", "");
      map.put("when_value_2", "");
      addIfNotNull(scripts, Script.getScriptWithDict(map));

    return scripts;
  }

  public final static ArrayList<Script> blockList144401Tap() throws Exception {
    ArrayList<Script> scripts = new ArrayList<Script>();
    HashMap<String,String> map;
    map = new HashMap<String,String>();
      map.put("action", "dict_add");
      map.put("condition", "");
      map.put("feed", "");
      map.put("key", "tab");
      map.put("value", "5");
      map.put("when_value_1", "");
      map.put("when_value_2", "");
      addIfNotNull(scripts, Script.getScriptWithDict(map));

    map = new HashMap<String,String>();
      map.put("action", "view_change");
      map.put("condition", "eq");
      map.put("duration", "");
      map.put("history", "clear");
      map.put("transition", "none");
      map.put("view", "26751");
      map.put("when_value_1", "[[ds:/Golden Fun/item/ref]]");
      map.put("when_value_2", "4");
      addIfNotNull(scripts, Script.getScriptWithDict(map));

    map = new HashMap<String,String>();
      map.put("action", "view_change");
      map.put("condition", "eq");
      map.put("duration", "");
      map.put("history", "clear");
      map.put("transition", "none");
      map.put("view", "26759");
      map.put("when_value_1", "[[ds:/Golden Fun/item/ref]]");
      map.put("when_value_2", "1");
      addIfNotNull(scripts, Script.getScriptWithDict(map));

    map = new HashMap<String,String>();
      map.put("action", "view_change");
      map.put("condition", "eq");
      map.put("duration", "");
      map.put("history", "clear");
      map.put("transition", "none");
      map.put("view", "26760");
      map.put("when_value_1", "[[ds:/Golden Fun/item/ref]]");
      map.put("when_value_2", "2");
      addIfNotNull(scripts, Script.getScriptWithDict(map));

    map = new HashMap<String,String>();
      map.put("action", "view_change");
      map.put("condition", "eq");
      map.put("duration", "");
      map.put("history", "clear");
      map.put("transition", "none");
      map.put("view", "26761");
      map.put("when_value_1", "[[ds:/Golden Fun/item/ref]]");
      map.put("when_value_2", "3");
      addIfNotNull(scripts, Script.getScriptWithDict(map));

    map = new HashMap<String,String>();
      map.put("action", "layer_add");
      map.put("condition", "eq");
      map.put("view", "26752");
      map.put("when_value_1", "[[ds:/Golden Fun/item/ref]]");
      map.put("when_value_2", "4");
      addIfNotNull(scripts, Script.getScriptWithDict(map));

    return scripts;
  }

  public final static ArrayList<Script> blockTitleBar144404TapLeft() throws Exception {
    ArrayList<Script> scripts = new ArrayList<Script>();
    HashMap<String,String> map;
    map = new HashMap<String,String>();
      map.put("action", "view_change");
      map.put("condition", "");
      map.put("duration", "");
      map.put("transition", "none");
      map.put("view", "back");
      map.put("when_value_1", "");
      map.put("when_value_2", "");
      addIfNotNull(scripts, Script.getScriptWithDict(map));

    map = new HashMap<String,String>();
      map.put("action", "layer_remove_all");
      map.put("condition", "");
      map.put("when_value_1", "");
      map.put("when_value_2", "");
      addIfNotNull(scripts, Script.getScriptWithDict(map));

    return scripts;
  }

  public final static ArrayList<Script> blockImage144405Tap() throws Exception {
    ArrayList<Script> scripts = new ArrayList<Script>();
    HashMap<String,String> map;
    map = new HashMap<String,String>();
      map.put("action", "sound_play");
      map.put("condition", "");
      map.put("source", "foghorn.mp3");
      map.put("when_value_1", "");
      map.put("when_value_2", "");
      addIfNotNull(scripts, Script.getScriptWithDict(map));

    return scripts;
  }

  public final static ArrayList<Script> blockButton144406ButtonDown() throws Exception {
    ArrayList<Script> scripts = new ArrayList<Script>();
    HashMap<String,String> map;
    map = new HashMap<String,String>();
      map.put("action", "sound_play");
      map.put("condition", "");
      map.put("exclusive", "1");
      map.put("source", "foghorn.mp3");
      map.put("when_value_1", "");
      map.put("when_value_2", "");
      addIfNotNull(scripts, Script.getScriptWithDict(map));

    return scripts;
  }

  public final static ArrayList<Script> blockTitleBar144407TapLeft() throws Exception {
    ArrayList<Script> scripts = new ArrayList<Script>();
    HashMap<String,String> map;
    map = new HashMap<String,String>();
      map.put("action", "dict_add");
      map.put("condition", "");
      map.put("feed", "");
      map.put("key", "tab");
      map.put("value", "1");
      map.put("when_value_1", "");
      map.put("when_value_2", "");
      addIfNotNull(scripts, Script.getScriptWithDict(map));

    map = new HashMap<String,String>();
      map.put("action", "view_change");
      map.put("condition", "");
      map.put("duration", "");
      map.put("history", "clear");
      map.put("transition", "none");
      map.put("view", "26763");
      map.put("when_value_1", "");
      map.put("when_value_2", "");
      addIfNotNull(scripts, Script.getScriptWithDict(map));

    return scripts;
  }

  public final static ArrayList<Script> blockTitleBar144407TapRight() throws Exception {
    ArrayList<Script> scripts = new ArrayList<Script>();
    HashMap<String,String> map;
    map = new HashMap<String,String>();
      map.put("action", "layer_add");
      map.put("condition", "");
      map.put("view", "26792");
      map.put("when_value_1", "");
      map.put("when_value_2", "");
      addIfNotNull(scripts, Script.getScriptWithDict(map));

    return scripts;
  }

  public final static ArrayList<Script> blockList144409Tap() throws Exception {
    ArrayList<Script> scripts = new ArrayList<Script>();
    HashMap<String,String> map;
    map = new HashMap<String,String>();
      map.put("action", "dict_add");
      map.put("condition", "");
      map.put("feed", "");
      map.put("key", "tab");
      map.put("value", "5");
      map.put("when_value_1", "");
      map.put("when_value_2", "");
      addIfNotNull(scripts, Script.getScriptWithDict(map));

    map = new HashMap<String,String>();
      map.put("action", "view_change");
      map.put("condition", "eq");
      map.put("duration", "");
      map.put("history", "clear");
      map.put("transition", "none");
      map.put("view", "26782");
      map.put("when_value_1", "[[ds:/Golden Tales/item/ref]]");
      map.put("when_value_2", "4");
      addIfNotNull(scripts, Script.getScriptWithDict(map));

    map = new HashMap<String,String>();
      map.put("action", "view_change");
      map.put("condition", "eq");
      map.put("duration", "");
      map.put("history", "push");
      map.put("transition", "none");
      map.put("view", "26758");
      map.put("when_value_1", "[[ds:/Golden Tales/item/ref]]");
      map.put("when_value_2", "2");
      addIfNotNull(scripts, Script.getScriptWithDict(map));

    map = new HashMap<String,String>();
      map.put("action", "view_change");
      map.put("condition", "eq");
      map.put("duration", "");
      map.put("history", "push");
      map.put("transition", "none");
      map.put("view", "26755");
      map.put("when_value_1", "[[ds:/Golden Tales/item/ref]]");
      map.put("when_value_2", "1");
      addIfNotNull(scripts, Script.getScriptWithDict(map));

    map = new HashMap<String,String>();
      map.put("action", "view_change");
      map.put("condition", "eq");
      map.put("duration", "");
      map.put("history", "push");
      map.put("transition", "none");
      map.put("view", "26777");
      map.put("when_value_1", "[[ds:/Golden Tales/item/ref]]");
      map.put("when_value_2", "3");
      addIfNotNull(scripts, Script.getScriptWithDict(map));

    map = new HashMap<String,String>();
      map.put("action", "view_change");
      map.put("condition", "eq");
      map.put("duration", "");
      map.put("history", "clear");
      map.put("transition", "none");
      map.put("view", "26770");
      map.put("when_value_1", "[[ds:/Golden Tales/item/ref]]");
      map.put("when_value_2", "5");
      addIfNotNull(scripts, Script.getScriptWithDict(map));

    return scripts;
  }

  public final static ArrayList<Script> blockImage144416Tap() throws Exception {
    ArrayList<Script> scripts = new ArrayList<Script>();
    HashMap<String,String> map;
    map = new HashMap<String,String>();
      map.put("action", "layer_remove_all");
      map.put("condition", "");
      map.put("when_value_1", "");
      map.put("when_value_2", "");
      addIfNotNull(scripts, Script.getScriptWithDict(map));

    return scripts;
  }

  public final static ArrayList<Script> blockList144418Tap() throws Exception {
    ArrayList<Script> scripts = new ArrayList<Script>();
    HashMap<String,String> map;
    map = new HashMap<String,String>();
      map.put("action", "dict_add");
      map.put("condition", "");
      map.put("feed", "");
      map.put("key", "tab");
      map.put("value", "5");
      map.put("when_value_1", "");
      map.put("when_value_2", "");
      addIfNotNull(scripts, Script.getScriptWithDict(map));

    map = new HashMap<String,String>();
      map.put("action", "view_change");
      map.put("condition", "eq");
      map.put("duration", "");
      map.put("history", "clear");
      map.put("transition", "none");
      map.put("view", "26766");
      map.put("when_value_1", "[[ds:/Golden Explore/item/ref]]");
      map.put("when_value_2", "1");
      addIfNotNull(scripts, Script.getScriptWithDict(map));

    map = new HashMap<String,String>();
      map.put("action", "view_change");
      map.put("condition", "eq");
      map.put("duration", "");
      map.put("history", "clear");
      map.put("transition", "none");
      map.put("view", "26799");
      map.put("when_value_1", "[[ds:/Golden Explore/item/ref]]");
      map.put("when_value_2", "2");
      addIfNotNull(scripts, Script.getScriptWithDict(map));

    map = new HashMap<String,String>();
      map.put("action", "view_change");
      map.put("condition", "eq");
      map.put("duration", "");
      map.put("history", "clear");
      map.put("transition", "none");
      map.put("view", "26767");
      map.put("when_value_1", "[[ds:/Golden Explore/item/ref]]");
      map.put("when_value_2", "3");
      addIfNotNull(scripts, Script.getScriptWithDict(map));

    map = new HashMap<String,String>();
      map.put("action", "view_change");
      map.put("condition", "eq");
      map.put("duration", "");
      map.put("history", "clear");
      map.put("transition", "none");
      map.put("view", "26819");
      map.put("when_value_1", "[[ds:/Golden Explore/item/ref]]");
      map.put("when_value_2", "4");
      addIfNotNull(scripts, Script.getScriptWithDict(map));

    return scripts;
  }

  public final static ArrayList<Script> blockTitleBar144422TapLeft() throws Exception {
    ArrayList<Script> scripts = new ArrayList<Script>();
    HashMap<String,String> map;
    map = new HashMap<String,String>();
      map.put("action", "dict_add");
      map.put("condition", "");
      map.put("feed", "");
      map.put("key", "tab");
      map.put("value", "1");
      map.put("when_value_1", "");
      map.put("when_value_2", "");
      addIfNotNull(scripts, Script.getScriptWithDict(map));

    map = new HashMap<String,String>();
      map.put("action", "view_change");
      map.put("condition", "");
      map.put("duration", "");
      map.put("history", "");
      map.put("transition", "none");
      map.put("view", "26765");
      map.put("when_value_1", "");
      map.put("when_value_2", "");
      addIfNotNull(scripts, Script.getScriptWithDict(map));

    return scripts;
  }

  public final static ArrayList<Script> blockTitleBar144425TapLeft() throws Exception {
    ArrayList<Script> scripts = new ArrayList<Script>();
    HashMap<String,String> map;
    map = new HashMap<String,String>();
      map.put("action", "dict_add");
      map.put("condition", "");
      map.put("feed", "");
      map.put("key", "tab");
      map.put("value", "1");
      map.put("when_value_1", "");
      map.put("when_value_2", "");
      addIfNotNull(scripts, Script.getScriptWithDict(map));

    map = new HashMap<String,String>();
      map.put("action", "view_change");
      map.put("condition", "");
      map.put("duration", "");
      map.put("history", "");
      map.put("transition", "none");
      map.put("view", "26765");
      map.put("when_value_1", "");
      map.put("when_value_2", "");
      addIfNotNull(scripts, Script.getScriptWithDict(map));

    return scripts;
  }

  public final static ArrayList<Script> blockTitleBar144425TapRight() throws Exception {
    ArrayList<Script> scripts = new ArrayList<Script>();
    HashMap<String,String> map;
    map = new HashMap<String,String>();
      map.put("action", "layer_add");
      map.put("condition", "");
      map.put("view", "26769");
      map.put("when_value_1", "");
      map.put("when_value_2", "");
      addIfNotNull(scripts, Script.getScriptWithDict(map));

    return scripts;
  }

  public final static ArrayList<Script> blockImage144427Tap() throws Exception {
    ArrayList<Script> scripts = new ArrayList<Script>();
    HashMap<String,String> map;
    map = new HashMap<String,String>();
      map.put("action", "alert");
      map.put("condition", "eq");
      map.put("prompt", "This area requires a data connection. Please try again later.");
      map.put("when_value_1", "[[sys:networkStatus]]");
      map.put("when_value_2", "noneBLA");
      addIfNotNull(scripts, Script.getScriptWithDict(map));

    map = new HashMap<String,String>();
      map.put("action", "db_filter");
      map.put("condition", "");
      map.put("criteria", "='1'");
      map.put("feed", "/6664/item");
      map.put("field", "/6664/item/ref");
      map.put("replacement", "1");
      map.put("when_value_1", "");
      map.put("when_value_2", "");
      addIfNotNull(scripts, Script.getScriptWithDict(map));

    map = new HashMap<String,String>();
      map.put("action", "view_change");
      map.put("condition", "ne");
      map.put("duration", "");
      map.put("history", "push");
      map.put("transition", "none");
      map.put("view", "26768");
      map.put("when_value_1", "[[sys:networkStatus]]");
      map.put("when_value_2", "noneBLA");
      addIfNotNull(scripts, Script.getScriptWithDict(map));

    return scripts;
  }

  public final static ArrayList<Script> blockImage144428Tap() throws Exception {
    ArrayList<Script> scripts = new ArrayList<Script>();
    HashMap<String,String> map;
    map = new HashMap<String,String>();
      map.put("action", "alert");
      map.put("condition", "eq");
      map.put("prompt", "This area requires a data connection. Please try again later.");
      map.put("when_value_1", "[[sys:networkStatus]]");
      map.put("when_value_2", "noneBLA");
      addIfNotNull(scripts, Script.getScriptWithDict(map));

    map = new HashMap<String,String>();
      map.put("action", "db_filter");
      map.put("condition", "");
      map.put("criteria", "='2'");
      map.put("feed", "/6664/item");
      map.put("field", "/6664/item/ref");
      map.put("replacement", "1");
      map.put("when_value_1", "");
      map.put("when_value_2", "");
      addIfNotNull(scripts, Script.getScriptWithDict(map));

    map = new HashMap<String,String>();
      map.put("action", "view_change");
      map.put("condition", "ne");
      map.put("duration", "");
      map.put("history", "push");
      map.put("transition", "none");
      map.put("view", "26768");
      map.put("when_value_1", "[[sys:networkStatus]]");
      map.put("when_value_2", "noneBLA");
      addIfNotNull(scripts, Script.getScriptWithDict(map));

    return scripts;
  }

  public final static ArrayList<Script> blockImage144429Tap() throws Exception {
    ArrayList<Script> scripts = new ArrayList<Script>();
    HashMap<String,String> map;
    map = new HashMap<String,String>();
      map.put("action", "alert");
      map.put("condition", "eq");
      map.put("prompt", "This area requires a data connection. Please try again later.");
      map.put("when_value_1", "[[sys:networkStatus]]");
      map.put("when_value_2", "noneBLA");
      addIfNotNull(scripts, Script.getScriptWithDict(map));

    map = new HashMap<String,String>();
      map.put("action", "db_filter");
      map.put("condition", "");
      map.put("criteria", "='3'");
      map.put("feed", "/6664/item");
      map.put("field", "/6664/item/ref");
      map.put("replacement", "1");
      map.put("when_value_1", "");
      map.put("when_value_2", "");
      addIfNotNull(scripts, Script.getScriptWithDict(map));

    map = new HashMap<String,String>();
      map.put("action", "view_change");
      map.put("condition", "ne");
      map.put("duration", "");
      map.put("history", "push");
      map.put("transition", "none");
      map.put("view", "26768");
      map.put("when_value_1", "[[sys:networkStatus]]");
      map.put("when_value_2", "noneBLA");
      addIfNotNull(scripts, Script.getScriptWithDict(map));

    return scripts;
  }

  public final static ArrayList<Script> blockVideo144432Done() throws Exception {
    ArrayList<Script> scripts = new ArrayList<Script>();
    HashMap<String,String> map;
    map = new HashMap<String,String>();
      map.put("action", "view_change");
      map.put("condition", "");
      map.put("duration", "");
      map.put("history", "");
      map.put("transition", "none");
      map.put("view", "26767");
      map.put("when_value_1", "");
      map.put("when_value_2", "");
      addIfNotNull(scripts, Script.getScriptWithDict(map));

    return scripts;
  }

  public final static ArrayList<Script> blockVideo144432PlaybackFailure() throws Exception {
    ArrayList<Script> scripts = new ArrayList<Script>();
    HashMap<String,String> map;
    map = new HashMap<String,String>();
      map.put("action", "view_change");
      map.put("condition", "");
      map.put("duration", "");
      map.put("history", "");
      map.put("transition", "none");
      map.put("view", "26767");
      map.put("when_value_1", "");
      map.put("when_value_2", "");
      addIfNotNull(scripts, Script.getScriptWithDict(map));

    return scripts;
  }

  public final static ArrayList<Script> blockImage144443Tap() throws Exception {
    ArrayList<Script> scripts = new ArrayList<Script>();
    HashMap<String,String> map;
    map = new HashMap<String,String>();
      map.put("action", "view_change");
      map.put("condition", "");
      map.put("duration", "");
      map.put("history", "");
      map.put("transition", "none");
      map.put("view", "26767");
      map.put("when_value_1", "");
      map.put("when_value_2", "");
      addIfNotNull(scripts, Script.getScriptWithDict(map));

    return scripts;
  }

  public final static ArrayList<Script> blockTitleBar144444TapLeft() throws Exception {
    ArrayList<Script> scripts = new ArrayList<Script>();
    HashMap<String,String> map;
    map = new HashMap<String,String>();
      map.put("action", "view_change");
      map.put("condition", "");
      map.put("duration", "");
      map.put("history", "");
      map.put("transition", "none");
      map.put("view", "26746");
      map.put("when_value_1", "");
      map.put("when_value_2", "");
      addIfNotNull(scripts, Script.getScriptWithDict(map));

    return scripts;
  }

  public final static ArrayList<Script> blockTitleBar144445TapLeft() throws Exception {
    ArrayList<Script> scripts = new ArrayList<Script>();
    HashMap<String,String> map;
    map = new HashMap<String,String>();
      map.put("action", "view_change");
      map.put("condition", "");
      map.put("duration", "");
      map.put("history", "clear");
      map.put("transition", "none");
      map.put("view", "26746");
      map.put("when_value_1", "");
      map.put("when_value_2", "");
      addIfNotNull(scripts, Script.getScriptWithDict(map));

    return scripts;
  }

  public final static ArrayList<Script> blockTitleBar144446TapLeft() throws Exception {
    ArrayList<Script> scripts = new ArrayList<Script>();
    HashMap<String,String> map;
    map = new HashMap<String,String>();
      map.put("action", "dict_add");
      map.put("condition", "");
      map.put("feed", "");
      map.put("key", "tab");
      map.put("value", "1");
      map.put("when_value_1", "");
      map.put("when_value_2", "");
      addIfNotNull(scripts, Script.getScriptWithDict(map));

    map = new HashMap<String,String>();
      map.put("action", "view_change");
      map.put("condition", "");
      map.put("duration", "");
      map.put("history", "");
      map.put("transition", "none");
      map.put("view", "26746");
      map.put("when_value_1", "");
      map.put("when_value_2", "");
      addIfNotNull(scripts, Script.getScriptWithDict(map));

    return scripts;
  }

  public final static ArrayList<Script> blockTitleBar144449TapLeft() throws Exception {
    ArrayList<Script> scripts = new ArrayList<Script>();
    HashMap<String,String> map;
    map = new HashMap<String,String>();
      map.put("action", "dict_add");
      map.put("condition", "");
      map.put("feed", "");
      map.put("key", "tab");
      map.put("value", "1");
      map.put("when_value_1", "");
      map.put("when_value_2", "");
      addIfNotNull(scripts, Script.getScriptWithDict(map));

    map = new HashMap<String,String>();
      map.put("action", "view_change");
      map.put("condition", "");
      map.put("duration", "");
      map.put("history", "");
      map.put("transition", "none");
      map.put("view", "26763");
      map.put("when_value_1", "");
      map.put("when_value_2", "");
      addIfNotNull(scripts, Script.getScriptWithDict(map));

    return scripts;
  }

  public final static ArrayList<Script> blockTitleBar144449TapRight() throws Exception {
    ArrayList<Script> scripts = new ArrayList<Script>();
    HashMap<String,String> map;
    map = new HashMap<String,String>();
      map.put("action", "layer_add");
      map.put("condition", "");
      map.put("view", "26794");
      map.put("when_value_1", "");
      map.put("when_value_2", "");
      addIfNotNull(scripts, Script.getScriptWithDict(map));

    return scripts;
  }

  public final static ArrayList<Script> blockTitleBar144452TapLeft() throws Exception {
    ArrayList<Script> scripts = new ArrayList<Script>();
    HashMap<String,String> map;
    map = new HashMap<String,String>();
      map.put("action", "view_change");
      map.put("condition", "");
      map.put("duration", "");
      map.put("history", "");
      map.put("transition", "none");
      map.put("view", "26746");
      map.put("when_value_1", "");
      map.put("when_value_2", "");
      addIfNotNull(scripts, Script.getScriptWithDict(map));

    return scripts;
  }

  public final static ArrayList<Script> blockTitleBar144452TapRight() throws Exception {
    ArrayList<Script> scripts = new ArrayList<Script>();
    HashMap<String,String> map;
    map = new HashMap<String,String>();
      map.put("action", "layer_add");
      map.put("condition", "");
      map.put("view", "26764");
      map.put("when_value_1", "");
      map.put("when_value_2", "");
      addIfNotNull(scripts, Script.getScriptWithDict(map));

    return scripts;
  }

  public final static ArrayList<Script> blockList144454Tap() throws Exception {
    ArrayList<Script> scripts = new ArrayList<Script>();
    HashMap<String,String> map;
    map = new HashMap<String,String>();
      map.put("action", "dict_add");
      map.put("condition", "");
      map.put("feed", "");
      map.put("key", "tab");
      map.put("value", "5");
      map.put("when_value_1", "");
      map.put("when_value_2", "");
      addIfNotNull(scripts, Script.getScriptWithDict(map));

    map = new HashMap<String,String>();
      map.put("action", "view_change");
      map.put("condition", "eq");
      map.put("duration", "");
      map.put("history", "push");
      map.put("transition", "none");
      map.put("view", "26804");
      map.put("when_value_1", "[[ds:/Golden Bridging/item/ref]]");
      map.put("when_value_2", "1");
      addIfNotNull(scripts, Script.getScriptWithDict(map));

    map = new HashMap<String,String>();
      map.put("action", "view_change");
      map.put("condition", "eq");
      map.put("duration", "");
      map.put("history", "push");
      map.put("transition", "none");
      map.put("view", "26801");
      map.put("when_value_1", "[[ds:/Golden Bridging/item/ref]]");
      map.put("when_value_2", "2");
      addIfNotNull(scripts, Script.getScriptWithDict(map));

    map = new HashMap<String,String>();
      map.put("action", "view_change");
      map.put("condition", "eq");
      map.put("duration", "");
      map.put("history", "push");
      map.put("transition", "none");
      map.put("view", "26778");
      map.put("when_value_1", "[[ds:/Golden Bridging/item/ref]]");
      map.put("when_value_2", "3");
      addIfNotNull(scripts, Script.getScriptWithDict(map));

    return scripts;
  }

  public final static ArrayList<Script> blockTitleBar144456TapLeft() throws Exception {
    ArrayList<Script> scripts = new ArrayList<Script>();
    HashMap<String,String> map;
    map = new HashMap<String,String>();
      map.put("action", "view_change");
      map.put("condition", "");
      map.put("duration", "");
      map.put("history", "");
      map.put("transition", "none");
      map.put("view", "26746");
      map.put("when_value_1", "");
      map.put("when_value_2", "");
      addIfNotNull(scripts, Script.getScriptWithDict(map));

    return scripts;
  }

  public final static ArrayList<Script> blockImage144458Tap() throws Exception {
    ArrayList<Script> scripts = new ArrayList<Script>();
    HashMap<String,String> map;
    map = new HashMap<String,String>();
      map.put("action", "url_open");
      map.put("condition", "");
      map.put("url", "https://c.itunes.apple.com/us/imix/songs-that-span-the-bay/id515159407");
      map.put("when_value_1", "");
      map.put("when_value_2", "");
      addIfNotNull(scripts, Script.getScriptWithDict(map));

    return scripts;
  }

  public final static ArrayList<Script> blockImage144459Tap() throws Exception {
    ArrayList<Script> scripts = new ArrayList<Script>();
    HashMap<String,String> map;
    map = new HashMap<String,String>();
      map.put("action", "url_open");
      map.put("condition", "");
      map.put("url", "https://c.itunes.apple.com/us/imix/songs-that-span-the-bay/id515159407");
      map.put("when_value_1", "");
      map.put("when_value_2", "");
      addIfNotNull(scripts, Script.getScriptWithDict(map));

    return scripts;
  }

  public final static ArrayList<Script> blockList144461Tap() throws Exception {
    ArrayList<Script> scripts = new ArrayList<Script>();
    HashMap<String,String> map;
    map = new HashMap<String,String>();
      map.put("action", "dict_add");
      map.put("condition", "");
      map.put("feed", "");
      map.put("key", "play_link");
      map.put("value", "[[ds:/Golden Songs/item/play_link]]");
      map.put("when_value_1", "");
      map.put("when_value_2", "");
      addIfNotNull(scripts, Script.getScriptWithDict(map));

    map = new HashMap<String,String>();
      map.put("action", "url_open");
      map.put("condition", "");
      map.put("url", "[[var:play_link]]");
      map.put("when_value_1", "");
      map.put("when_value_2", "");
      addIfNotNull(scripts, Script.getScriptWithDict(map));

    return scripts;
  }

  public final static ArrayList<Script> blockThumbnails144465BeforeDraw() throws Exception {
    ArrayList<Script> scripts = new ArrayList<Script>();
    HashMap<String,String> map;
    map = new HashMap<String,String>();
      map.put("action", "layer_add");
      map.put("condition", "");
      map.put("view", "26757");
      map.put("when_value_1", "");
      map.put("when_value_2", "");
      addIfNotNull(scripts, Script.getScriptWithDict(map));

    return scripts;
  }

  public final static ArrayList<Script> blockThumbnails144465Tap() throws Exception {
    ArrayList<Script> scripts = new ArrayList<Script>();
    HashMap<String,String> map;
    map = new HashMap<String,String>();
      map.put("action", "view_change");
      map.put("condition", "");
      map.put("duration", "");
      map.put("history", "clear");
      map.put("transition", "none");
      map.put("view", "26774");
      map.put("when_value_1", "");
      map.put("when_value_2", "");
      addIfNotNull(scripts, Script.getScriptWithDict(map));

    return scripts;
  }

  public final static ArrayList<Script> blockImage144469Tap() throws Exception {
    ArrayList<Script> scripts = new ArrayList<Script>();
    HashMap<String,String> map;
    map = new HashMap<String,String>();
      map.put("action", "layer_add");
      map.put("condition", "");
      map.put("view", "26773");
      map.put("when_value_1", "");
      map.put("when_value_2", "");
      addIfNotNull(scripts, Script.getScriptWithDict(map));

    return scripts;
  }

  public final static ArrayList<Script> blockImage144474Tap() throws Exception {
    ArrayList<Script> scripts = new ArrayList<Script>();
    HashMap<String,String> map;
    map = new HashMap<String,String>();
      map.put("action", "layer_remove");
      map.put("condition", "");
      map.put("view", "26773");
      map.put("when_value_1", "");
      map.put("when_value_2", "");
      addIfNotNull(scripts, Script.getScriptWithDict(map));

    return scripts;
  }

  public final static ArrayList<Script> blockImageGallery144476BeforeDraw() throws Exception {
    ArrayList<Script> scripts = new ArrayList<Script>();
    HashMap<String,String> map;
    map = new HashMap<String,String>();
      map.put("action", "layer_add");
      map.put("condition", "");
      map.put("view", "26776");
      map.put("when_value_1", "");
      map.put("when_value_2", "");
      addIfNotNull(scripts, Script.getScriptWithDict(map));

    return scripts;
  }

  public final static ArrayList<Script> blockImageGallery144476ImageChange() throws Exception {
    ArrayList<Script> scripts = new ArrayList<Script>();
    HashMap<String,String> map;
    map = new HashMap<String,String>();
      map.put("action", "container_set_block");
      map.put("block", "144487");
      map.put("condition", "not empty");
      map.put("container", "144739");
      map.put("when_value_1", "[[ds:/Golden Halfway/item/text]]");
      map.put("when_value_2", "");
      addIfNotNull(scripts, Script.getScriptWithDict(map));

    map = new HashMap<String,String>();
      map.put("action", "container_set_block");
      map.put("block", "144740");
      map.put("condition", "");
      map.put("container", "144739");
      map.put("when_value_1", "");
      map.put("when_value_2", "");
      addIfNotNull(scripts, Script.getScriptWithDict(map));

    map = new HashMap<String,String>();
      map.put("action", "block_refresh");
      map.put("block", "144739");
      map.put("condition", "");
      map.put("duration", "");
      map.put("transition", "none");
      map.put("when_value_1", "");
      map.put("when_value_2", "");
      addIfNotNull(scripts, Script.getScriptWithDict(map));

    return scripts;
  }

  public final static ArrayList<Script> blockImageGallery144476Tap() throws Exception {
    ArrayList<Script> scripts = new ArrayList<Script>();
    HashMap<String,String> map;
    map = new HashMap<String,String>();
      map.put("action", "layer_toggle");
      map.put("condition", "");
      map.put("view", "26776");
      map.put("when_value_1", "");
      map.put("when_value_2", "");
      addIfNotNull(scripts, Script.getScriptWithDict(map));

    return scripts;
  }

  public final static ArrayList<Script> blockImage144478Tap() throws Exception {
    ArrayList<Script> scripts = new ArrayList<Script>();
    HashMap<String,String> map;
    map = new HashMap<String,String>();
      map.put("action", "view_change");
      map.put("condition", "");
      map.put("duration", "");
      map.put("history", "clear");
      map.put("transition", "none");
      map.put("view", "26763");
      map.put("when_value_1", "");
      map.put("when_value_2", "");
      addIfNotNull(scripts, Script.getScriptWithDict(map));

    return scripts;
  }

  public final static ArrayList<Script> blockImage144483Tap() throws Exception {
    ArrayList<Script> scripts = new ArrayList<Script>();
    HashMap<String,String> map;
    map = new HashMap<String,String>();
      map.put("action", "view_change");
      map.put("condition", "");
      map.put("duration", "");
      map.put("history", "");
      map.put("transition", "none");
      map.put("view", "26772");
      map.put("when_value_1", "");
      map.put("when_value_2", "");
      addIfNotNull(scripts, Script.getScriptWithDict(map));

    return scripts;
  }

  public final static ArrayList<Script> blockImage144484Tap() throws Exception {
    ArrayList<Script> scripts = new ArrayList<Script>();
    HashMap<String,String> map;
    map = new HashMap<String,String>();
      map.put("action", "layer_remove");
      map.put("condition", "");
      map.put("view", "26775");
      map.put("when_value_1", "");
      map.put("when_value_2", "");
      addIfNotNull(scripts, Script.getScriptWithDict(map));

    return scripts;
  }

  public final static ArrayList<Script> blockImage144487Tap() throws Exception {
    ArrayList<Script> scripts = new ArrayList<Script>();
    HashMap<String,String> map;
    map = new HashMap<String,String>();
      map.put("action", "layer_add");
      map.put("condition", "not empty");
      map.put("view", "26775");
      map.put("when_value_1", "[[ds:/Golden Halfway/item/text]]");
      map.put("when_value_2", "");
      addIfNotNull(scripts, Script.getScriptWithDict(map));

    return scripts;
  }

  public final static ArrayList<Script> blockImage144490Tap() throws Exception {
    ArrayList<Script> scripts = new ArrayList<Script>();
    HashMap<String,String> map;
    map = new HashMap<String,String>();
      map.put("action", "db_filter");
      map.put("condition", "");
      map.put("criteria", "='opening'");
      map.put("feed", "/6663/item");
      map.put("field", "/6663/item/filter");
      map.put("replacement", "1");
      map.put("when_value_1", "");
      map.put("when_value_2", "");
      addIfNotNull(scripts, Script.getScriptWithDict(map));

    map = new HashMap<String,String>();
      map.put("action", "view_change");
      map.put("condition", "");
      map.put("duration", "");
      map.put("history", "push");
      map.put("transition", "none");
      map.put("view", "26774");
      map.put("when_value_1", "");
      map.put("when_value_2", "");
      addIfNotNull(scripts, Script.getScriptWithDict(map));

    return scripts;
  }

  public final static ArrayList<Script> blockTitleBar144492TapLeft() throws Exception {
    ArrayList<Script> scripts = new ArrayList<Script>();
    HashMap<String,String> map;
    map = new HashMap<String,String>();
      map.put("action", "dict_add");
      map.put("condition", "");
      map.put("feed", "");
      map.put("key", "tab");
      map.put("value", "1");
      map.put("when_value_1", "");
      map.put("when_value_2", "");
      addIfNotNull(scripts, Script.getScriptWithDict(map));

    map = new HashMap<String,String>();
      map.put("action", "view_change");
      map.put("condition", "");
      map.put("duration", "");
      map.put("history", "clear");
      map.put("transition", "none");
      map.put("view", "26763");
      map.put("when_value_1", "");
      map.put("when_value_2", "");
      addIfNotNull(scripts, Script.getScriptWithDict(map));

    return scripts;
  }

  public final static ArrayList<Script> blockTitleBar144492TapRight() throws Exception {
    ArrayList<Script> scripts = new ArrayList<Script>();
    HashMap<String,String> map;
    map = new HashMap<String,String>();
      map.put("action", "layer_add");
      map.put("condition", "");
      map.put("view", "26795");
      map.put("when_value_1", "");
      map.put("when_value_2", "");
      addIfNotNull(scripts, Script.getScriptWithDict(map));

    return scripts;
  }

  public final static ArrayList<Script> blockTitleBar144495TapLeft() throws Exception {
    ArrayList<Script> scripts = new ArrayList<Script>();
    HashMap<String,String> map;
    map = new HashMap<String,String>();
      map.put("action", "dict_add");
      map.put("condition", "");
      map.put("feed", "");
      map.put("key", "tab");
      map.put("value", "1");
      map.put("when_value_1", "");
      map.put("when_value_2", "");
      addIfNotNull(scripts, Script.getScriptWithDict(map));

    map = new HashMap<String,String>();
      map.put("action", "view_change");
      map.put("condition", "");
      map.put("duration", "");
      map.put("history", "");
      map.put("transition", "none");
      map.put("view", "26771");
      map.put("when_value_1", "");
      map.put("when_value_2", "");
      addIfNotNull(scripts, Script.getScriptWithDict(map));

    return scripts;
  }

  public final static ArrayList<Script> blockFullScreenVideo144499Done() throws Exception {
    ArrayList<Script> scripts = new ArrayList<Script>();
    HashMap<String,String> map;
    map = new HashMap<String,String>();
      map.put("action", "view_change");
      map.put("condition", "");
      map.put("duration", "");
      map.put("history", "clear");
      map.put("transition", "none");
      map.put("view", "26758");
      map.put("when_value_1", "");
      map.put("when_value_2", "");
      addIfNotNull(scripts, Script.getScriptWithDict(map));

    return scripts;
  }

  public final static ArrayList<Script> blockFullScreenVideo144499PlaybackFailure() throws Exception {
    ArrayList<Script> scripts = new ArrayList<Script>();
    HashMap<String,String> map;
    map = new HashMap<String,String>();
      map.put("action", "view_change");
      map.put("condition", "");
      map.put("duration", "");
      map.put("history", "");
      map.put("transition", "none");
      map.put("view", "26758");
      map.put("when_value_1", "");
      map.put("when_value_2", "");
      addIfNotNull(scripts, Script.getScriptWithDict(map));

    return scripts;
  }

  public final static ArrayList<Script> blockImage144502Tap() throws Exception {
    ArrayList<Script> scripts = new ArrayList<Script>();
    HashMap<String,String> map;
    map = new HashMap<String,String>();
      map.put("action", "view_change");
      map.put("condition", "");
      map.put("duration", "");
      map.put("history", "");
      map.put("transition", "none");
      map.put("view", "26747");
      map.put("when_value_1", "");
      map.put("when_value_2", "");
      addIfNotNull(scripts, Script.getScriptWithDict(map));

    map = new HashMap<String,String>();
      map.put("action", "layer_remove");
      map.put("condition", "");
      map.put("view", "26780");
      map.put("when_value_1", "");
      map.put("when_value_2", "");
      addIfNotNull(scripts, Script.getScriptWithDict(map));

    return scripts;
  }

  public final static ArrayList<Script> blockTitleBar144511TapLeft() throws Exception {
    ArrayList<Script> scripts = new ArrayList<Script>();
    HashMap<String,String> map;
    map = new HashMap<String,String>();
      map.put("action", "dict_add");
      map.put("condition", "");
      map.put("feed", "");
      map.put("key", "tab");
      map.put("value", "1");
      map.put("when_value_1", "");
      map.put("when_value_2", "");
      addIfNotNull(scripts, Script.getScriptWithDict(map));

    map = new HashMap<String,String>();
      map.put("action", "view_change");
      map.put("condition", "");
      map.put("duration", "");
      map.put("history", "");
      map.put("transition", "none");
      map.put("view", "26763");
      map.put("when_value_1", "");
      map.put("when_value_2", "");
      addIfNotNull(scripts, Script.getScriptWithDict(map));

    return scripts;
  }

  public final static ArrayList<Script> blockTitleBar144511TapRight() throws Exception {
    ArrayList<Script> scripts = new ArrayList<Script>();
    HashMap<String,String> map;
    map = new HashMap<String,String>();
      map.put("action", "layer_add");
      map.put("condition", "");
      map.put("view", "26791");
      map.put("when_value_1", "");
      map.put("when_value_2", "");
      addIfNotNull(scripts, Script.getScriptWithDict(map));

    return scripts;
  }

  public final static ArrayList<Script> blockImage144513Tap() throws Exception {
    ArrayList<Script> scripts = new ArrayList<Script>();
    HashMap<String,String> map;
    map = new HashMap<String,String>();
      map.put("action", "dict_add");
      map.put("condition", "");
      map.put("key", "lost");
      map.put("value", "1");
      map.put("when_value_1", "");
      map.put("when_value_2", "");
      addIfNotNull(scripts, Script.getScriptWithDict(map));

    map = new HashMap<String,String>();
      map.put("action", "db_filter");
      map.put("condition", "");
      map.put("criteria", "='1'");
      map.put("feed", "/6665/item");
      map.put("field", "/6665/item/ref");
      map.put("replacement", "1");
      map.put("when_value_1", "");
      map.put("when_value_2", "");
      addIfNotNull(scripts, Script.getScriptWithDict(map));

    map = new HashMap<String,String>();
      map.put("action", "script_run_after");
      map.put("condition", "");
      map.put("script", "launchTapes");
      map.put("when_value_1", "");
      map.put("when_value_2", "");
      addIfNotNull(scripts, Script.getScriptWithDict(map));

    return scripts;
  }

  public final static ArrayList<Script> blockImage144514Tap() throws Exception {
    ArrayList<Script> scripts = new ArrayList<Script>();
    HashMap<String,String> map;
    map = new HashMap<String,String>();
      map.put("action", "dict_add");
      map.put("condition", "");
      map.put("key", "lost");
      map.put("value", "3");
      map.put("when_value_1", "");
      map.put("when_value_2", "");
      addIfNotNull(scripts, Script.getScriptWithDict(map));

    map = new HashMap<String,String>();
      map.put("action", "db_filter");
      map.put("condition", "");
      map.put("criteria", "='3'");
      map.put("feed", "/6665/item");
      map.put("field", "/6665/item/ref");
      map.put("replacement", "1");
      map.put("when_value_1", "");
      map.put("when_value_2", "");
      addIfNotNull(scripts, Script.getScriptWithDict(map));

    map = new HashMap<String,String>();
      map.put("action", "script_run_after");
      map.put("condition", "");
      map.put("script", "launchTapes");
      map.put("when_value_1", "");
      map.put("when_value_2", "");
      addIfNotNull(scripts, Script.getScriptWithDict(map));

    return scripts;
  }

  public final static ArrayList<Script> blockImage144515Tap() throws Exception {
    ArrayList<Script> scripts = new ArrayList<Script>();
    HashMap<String,String> map;
    map = new HashMap<String,String>();
      map.put("action", "dict_add");
      map.put("condition", "");
      map.put("key", "lost");
      map.put("value", "2");
      map.put("when_value_1", "");
      map.put("when_value_2", "");
      addIfNotNull(scripts, Script.getScriptWithDict(map));

    map = new HashMap<String,String>();
      map.put("action", "db_filter");
      map.put("condition", "");
      map.put("criteria", "='2'");
      map.put("feed", "/6665/item");
      map.put("field", "/6665/item/ref");
      map.put("replacement", "1");
      map.put("when_value_1", "");
      map.put("when_value_2", "");
      addIfNotNull(scripts, Script.getScriptWithDict(map));

    map = new HashMap<String,String>();
      map.put("action", "script_run_after");
      map.put("condition", "");
      map.put("script", "launchTapes");
      map.put("when_value_1", "");
      map.put("when_value_2", "");
      addIfNotNull(scripts, Script.getScriptWithDict(map));

    return scripts;
  }

  public final static ArrayList<Script> blockImage144516Tap() throws Exception {
    ArrayList<Script> scripts = new ArrayList<Script>();
    HashMap<String,String> map;
    map = new HashMap<String,String>();
      map.put("action", "dict_add");
      map.put("condition", "");
      map.put("key", "4");
      map.put("value", "");
      map.put("when_value_1", "");
      map.put("when_value_2", "");
      addIfNotNull(scripts, Script.getScriptWithDict(map));

    map = new HashMap<String,String>();
      map.put("action", "db_filter");
      map.put("condition", "");
      map.put("criteria", "='4'");
      map.put("feed", "/6665/item");
      map.put("field", "/6665/item/ref");
      map.put("replacement", "1");
      map.put("when_value_1", "");
      map.put("when_value_2", "");
      addIfNotNull(scripts, Script.getScriptWithDict(map));

    map = new HashMap<String,String>();
      map.put("action", "script_run_after");
      map.put("condition", "");
      map.put("script", "launchTapes");
      map.put("when_value_1", "");
      map.put("when_value_2", "");
      addIfNotNull(scripts, Script.getScriptWithDict(map));

    return scripts;
  }

  public final static ArrayList<Script> blockImage144517Tap() throws Exception {
    ArrayList<Script> scripts = new ArrayList<Script>();
    HashMap<String,String> map;
    map = new HashMap<String,String>();
      map.put("action", "dict_add");
      map.put("condition", "");
      map.put("key", "lost");
      map.put("value", "5");
      map.put("when_value_1", "");
      map.put("when_value_2", "");
      addIfNotNull(scripts, Script.getScriptWithDict(map));

    map = new HashMap<String,String>();
      map.put("action", "db_filter");
      map.put("condition", "");
      map.put("criteria", "='5'");
      map.put("feed", "/6665/item");
      map.put("field", "/6665/item/ref");
      map.put("replacement", "1");
      map.put("when_value_1", "");
      map.put("when_value_2", "");
      addIfNotNull(scripts, Script.getScriptWithDict(map));

    map = new HashMap<String,String>();
      map.put("action", "script_run_after");
      map.put("condition", "");
      map.put("script", "launchTapes");
      map.put("when_value_1", "");
      map.put("when_value_2", "");
      addIfNotNull(scripts, Script.getScriptWithDict(map));

    return scripts;
  }

  public final static ArrayList<Script> blockLayoutPattern144521Tap() throws Exception {
    ArrayList<Script> scripts = new ArrayList<Script>();
    HashMap<String,String> map;
    map = new HashMap<String,String>();
      map.put("action", "layer_visibility");
      map.put("condition", "");
      map.put("view", "28725");
      map.put("visible", "1");
      map.put("when_value_1", "");
      map.put("when_value_2", "");
      addIfNotNull(scripts, Script.getScriptWithDict(map));

    map = new HashMap<String,String>();
      map.put("action", "view_timer_start");
      map.put("condition", "");
      map.put("seconds", "5");
      map.put("when_value_1", "");
      map.put("when_value_2", "");
      addIfNotNull(scripts, Script.getScriptWithDict(map));

    return scripts;
  }

  public final static ArrayList<Script> blockAudioPlayer144522Done() throws Exception {
    ArrayList<Script> scripts = new ArrayList<Script>();
    HashMap<String,String> map;
    map = new HashMap<String,String>();
      map.put("action", "view_change");
      map.put("condition", "");
      map.put("duration", "");
      map.put("history", "clear");
      map.put("transition", "none");
      map.put("view", "26782");
      map.put("when_value_1", "");
      map.put("when_value_2", "");
      addIfNotNull(scripts, Script.getScriptWithDict(map));

    return scripts;
  }

  public final static ArrayList<Script> blockImage144524Tap() throws Exception {
    ArrayList<Script> scripts = new ArrayList<Script>();
    HashMap<String,String> map;
    map = new HashMap<String,String>();
      map.put("action", "view_change");
      map.put("condition", "");
      map.put("duration", "");
      map.put("transition", "none");
      map.put("view", "back");
      map.put("when_value_1", "");
      map.put("when_value_2", "");
      addIfNotNull(scripts, Script.getScriptWithDict(map));

    map = new HashMap<String,String>();
      map.put("action", "layer_remove");
      map.put("condition", "");
      map.put("view", "26785");
      map.put("when_value_1", "");
      map.put("when_value_2", "");
      addIfNotNull(scripts, Script.getScriptWithDict(map));

    return scripts;
  }

  public final static ArrayList<Script> blockImage144530Tap() throws Exception {
    ArrayList<Script> scripts = new ArrayList<Script>();
    HashMap<String,String> map;
    map = new HashMap<String,String>();
      map.put("action", "dict_clear");
      map.put("condition", "");
      map.put("key", "results");
      map.put("when_value_1", "");
      map.put("when_value_2", "");
      addIfNotNull(scripts, Script.getScriptWithDict(map));

    map = new HashMap<String,String>();
      map.put("action", "db_filter");
      map.put("condition", "");
      map.put("criteria", "='1'");
      map.put("feed", "/6657/item");
      map.put("field", "/6657/item/question_no");
      map.put("replacement", "1");
      map.put("when_value_1", "");
      map.put("when_value_2", "");
      addIfNotNull(scripts, Script.getScriptWithDict(map));

    map = new HashMap<String,String>();
      map.put("action", "view_change");
      map.put("condition", "");
      map.put("duration", "");
      map.put("history", "");
      map.put("transition", "none");
      map.put("view", "26751");
      map.put("when_value_1", "");
      map.put("when_value_2", "");
      addIfNotNull(scripts, Script.getScriptWithDict(map));

    map = new HashMap<String,String>();
      map.put("action", "layer_add");
      map.put("condition", "");
      map.put("view", "26752");
      map.put("when_value_1", "");
      map.put("when_value_2", "");
      addIfNotNull(scripts, Script.getScriptWithDict(map));

    return scripts;
  }

  public final static ArrayList<Script> blockList144537Tap() throws Exception {
    ArrayList<Script> scripts = new ArrayList<Script>();
    HashMap<String,String> map;
    map = new HashMap<String,String>();
      map.put("action", "dict_add");
      map.put("condition", "");
      map.put("feed", "");
      map.put("key", "tab");
      map.put("value", "5");
      map.put("when_value_1", "");
      map.put("when_value_2", "");
      addIfNotNull(scripts, Script.getScriptWithDict(map));

    map = new HashMap<String,String>();
      map.put("action", "alert");
      map.put("condition", "eq");
      map.put("prompt", "This area requires a data connection. Please try again later.");
      map.put("when_value_1", "[[sys:networkStatus]]");
      map.put("when_value_2", "none");
      addIfNotNull(scripts, Script.getScriptWithDict(map));

    map = new HashMap<String,String>();
      map.put("action", "view_change");
      map.put("condition", "ne");
      map.put("duration", "");
      map.put("history", "clear");
      map.put("transition", "none");
      map.put("view", "26787");
      map.put("when_value_1", "[[sys:networkStatus]]");
      map.put("when_value_2", "none");
      addIfNotNull(scripts, Script.getScriptWithDict(map));

    return scripts;
  }

  public final static ArrayList<Script> blockTitleBar144539TapLeft() throws Exception {
    ArrayList<Script> scripts = new ArrayList<Script>();
    HashMap<String,String> map;
    map = new HashMap<String,String>();
      map.put("action", "view_change");
      map.put("condition", "");
      map.put("duration", "");
      map.put("history", "");
      map.put("transition", "none");
      map.put("view", "26746");
      map.put("when_value_1", "");
      map.put("when_value_2", "");
      addIfNotNull(scripts, Script.getScriptWithDict(map));

    return scripts;
  }

  public final static ArrayList<Script> blockTitleBar144543TapLeft() throws Exception {
    ArrayList<Script> scripts = new ArrayList<Script>();
    HashMap<String,String> map;
    map = new HashMap<String,String>();
      map.put("action", "dict_add");
      map.put("condition", "");
      map.put("feed", "");
      map.put("key", "tab");
      map.put("value", "1");
      map.put("when_value_1", "");
      map.put("when_value_2", "");
      addIfNotNull(scripts, Script.getScriptWithDict(map));

    map = new HashMap<String,String>();
      map.put("action", "view_change");
      map.put("condition", "");
      map.put("duration", "");
      map.put("history", "");
      map.put("transition", "none");
      map.put("view", "26786");
      map.put("when_value_1", "");
      map.put("when_value_2", "");
      addIfNotNull(scripts, Script.getScriptWithDict(map));

    return scripts;
  }

  public final static ArrayList<Script> blockButtonRow144558Tap1() throws Exception {
    ArrayList<Script> scripts = new ArrayList<Script>();
    HashMap<String,String> map;
    map = new HashMap<String,String>();
      map.put("action", "view_change");
      map.put("condition", "");
      map.put("duration", "");
      map.put("history", "push");
      map.put("transition", "none");
      map.put("view", "26765");
      map.put("when_value_1", "");
      map.put("when_value_2", "");
      addIfNotNull(scripts, Script.getScriptWithDict(map));

    return scripts;
  }

  public final static ArrayList<Script> blockButtonRow144558Tap2() throws Exception {
    ArrayList<Script> scripts = new ArrayList<Script>();
    HashMap<String,String> map;
    map = new HashMap<String,String>();
      map.put("action", "view_change");
      map.put("condition", "");
      map.put("duration", "");
      map.put("history", "push");
      map.put("transition", "none");
      map.put("view", "26763");
      map.put("when_value_1", "");
      map.put("when_value_2", "");
      addIfNotNull(scripts, Script.getScriptWithDict(map));

    return scripts;
  }

  public final static ArrayList<Script> blockButtonRow144558Tap3() throws Exception {
    ArrayList<Script> scripts = new ArrayList<Script>();
    HashMap<String,String> map;
    map = new HashMap<String,String>();
      map.put("action", "view_change");
      map.put("condition", "");
      map.put("duration", "");
      map.put("history", "push");
      map.put("transition", "none");
      map.put("view", "26747");
      map.put("when_value_1", "");
      map.put("when_value_2", "");
      addIfNotNull(scripts, Script.getScriptWithDict(map));

    return scripts;
  }

  public final static ArrayList<Script> blockButtonRow144558Tap4() throws Exception {
    ArrayList<Script> scripts = new ArrayList<Script>();
    HashMap<String,String> map;
    map = new HashMap<String,String>();
      map.put("action", "view_change");
      map.put("condition", "");
      map.put("duration", "");
      map.put("history", "push");
      map.put("transition", "none");
      map.put("view", "26771");
      map.put("when_value_1", "");
      map.put("when_value_2", "");
      addIfNotNull(scripts, Script.getScriptWithDict(map));

    return scripts;
  }

  public final static ArrayList<Script> blockButtonRow144558Tap5() throws Exception {
    ArrayList<Script> scripts = new ArrayList<Script>();
    HashMap<String,String> map;
    map = new HashMap<String,String>();
      map.put("action", "view_change");
      map.put("condition", "");
      map.put("duration", "");
      map.put("history", "push");
      map.put("transition", "none");
      map.put("view", "26786");
      map.put("when_value_1", "");
      map.put("when_value_2", "");
      addIfNotNull(scripts, Script.getScriptWithDict(map));

    return scripts;
  }

  public final static ArrayList<Script> blockImage144588Tap() throws Exception {
    ArrayList<Script> scripts = new ArrayList<Script>();
    HashMap<String,String> map;
    map = new HashMap<String,String>();
      map.put("action", "alert");
      map.put("condition", "eq");
      map.put("prompt", "To post you require a data connection. Please try again later.");
      map.put("when_value_1", "[[sys:networkStatus]]");
      map.put("when_value_2", "none");
      addIfNotNull(scripts, Script.getScriptWithDict(map));

    map = new HashMap<String,String>();
      map.put("action", "facebook_post");
      map.put("condition", "ne");
      map.put("description", "Check out all the things you can do at the Golden Gate Bridge!");
      map.put("imageLinkUrl", "http://www.goldengatebridge75.org/");
      map.put("imageUrl", "http://creative_production.s3.amazonaws.com/GGNRA_App_DONOTDELETE/FB-photo.jpg");
      map.put("linkText", "goldengatebridge75.org");
      map.put("linkUrl", "http://www.goldengatebridge75.org/");
      map.put("prompt", "Tell your friends you're at the Golden Gate Bridge!");
      map.put("reporting_value", "");
      map.put("when_value_1", "[[sys:networkStatus]]");
      map.put("when_value_2", "none");
      addIfNotNull(scripts, Script.getScriptWithDict(map));

    return scripts;
  }

  public final static ArrayList<Script> blockImage144589Tap() throws Exception {
    ArrayList<Script> scripts = new ArrayList<Script>();
    HashMap<String,String> map;
    map = new HashMap<String,String>();
      map.put("action", "view_change");
      map.put("condition", "");
      map.put("duration", "");
      map.put("history", "push");
      map.put("transition", "none");
      map.put("view", "26797");
      map.put("when_value_1", "");
      map.put("when_value_2", "");
      addIfNotNull(scripts, Script.getScriptWithDict(map));

    return scripts;
  }

  public final static ArrayList<Script> blockImage144590Tap() throws Exception {
    ArrayList<Script> scripts = new ArrayList<Script>();
    HashMap<String,String> map;
    map = new HashMap<String,String>();
      map.put("action", "view_change");
      map.put("condition", "");
      map.put("duration", "");
      map.put("history", "push");
      map.put("transition", "none");
      map.put("view", "26798");
      map.put("when_value_1", "");
      map.put("when_value_2", "");
      addIfNotNull(scripts, Script.getScriptWithDict(map));

    return scripts;
  }

  public final static ArrayList<Script> blockTitleBar144593TapLeft() throws Exception {
    ArrayList<Script> scripts = new ArrayList<Script>();
    HashMap<String,String> map;
    map = new HashMap<String,String>();
      map.put("action", "dict_add");
      map.put("condition", "");
      map.put("feed", "");
      map.put("key", "tab");
      map.put("value", "1");
      map.put("when_value_1", "");
      map.put("when_value_2", "");
      addIfNotNull(scripts, Script.getScriptWithDict(map));

    map = new HashMap<String,String>();
      map.put("action", "view_change");
      map.put("condition", "");
      map.put("duration", "");
      map.put("history", "");
      map.put("transition", "none");
      map.put("view", "26796");
      map.put("when_value_1", "");
      map.put("when_value_2", "");
      addIfNotNull(scripts, Script.getScriptWithDict(map));

    return scripts;
  }

  public final static ArrayList<Script> blockList144595Tap() throws Exception {
    ArrayList<Script> scripts = new ArrayList<Script>();
    HashMap<String,String> map;
    map = new HashMap<String,String>();
      map.put("action", "alert");
      map.put("condition", "eq");
      map.put("prompt", "To post you require a data connection. Please try again later.");
      map.put("when_value_1", "[[sys:networkStatus]]");
      map.put("when_value_2", "none");
      addIfNotNull(scripts, Script.getScriptWithDict(map));

    map = new HashMap<String,String>();
      map.put("action", "twitter_post");
      map.put("block", "");
      map.put("condition", "ne");
      map.put("imageSourcePath", "");
      map.put("message", "[[ds:/Golden Tweets/item/tweet]]");
      map.put("reporting_value", "");
      map.put("shortener", "");
      map.put("when_value_1", "[[sys:networkStatus]]");
      map.put("when_value_2", "none");
      addIfNotNull(scripts, Script.getScriptWithDict(map));

    return scripts;
  }

  public final static ArrayList<Script> blockList144597Tap() throws Exception {
    ArrayList<Script> scripts = new ArrayList<Script>();
    HashMap<String,String> map;
    map = new HashMap<String,String>();
      map.put("action", "alert");
      map.put("condition", "eq");
      map.put("prompt", "To post you require a data connection. Please try again later.");
      map.put("when_value_1", "[[sys:networkStatus]]");
      map.put("when_value_2", "none");
      addIfNotNull(scripts, Script.getScriptWithDict(map));

    map = new HashMap<String,String>();
      map.put("action", "foursquare_checkin");
      map.put("comment", "");
      map.put("condition", "ne");
      map.put("reporting_value", "");
      map.put("venue_id", "[[ds:/Golden Foursquare/item/site_id]]");
      map.put("venue_name", "[[ds:/Golden Foursquare/item/site]]");
      map.put("when_value_1", "[[sys:networkStatus]]");
      map.put("when_value_2", "none");
      addIfNotNull(scripts, Script.getScriptWithDict(map));

    return scripts;
  }

  public final static ArrayList<Script> blockTitleBar144599TapLeft() throws Exception {
    ArrayList<Script> scripts = new ArrayList<Script>();
    HashMap<String,String> map;
    map = new HashMap<String,String>();
      map.put("action", "dict_add");
      map.put("condition", "");
      map.put("feed", "");
      map.put("key", "tab");
      map.put("value", "1");
      map.put("when_value_1", "");
      map.put("when_value_2", "");
      addIfNotNull(scripts, Script.getScriptWithDict(map));

    map = new HashMap<String,String>();
      map.put("action", "view_change");
      map.put("condition", "");
      map.put("duration", "");
      map.put("history", "");
      map.put("transition", "none");
      map.put("view", "26796");
      map.put("when_value_1", "");
      map.put("when_value_2", "");
      addIfNotNull(scripts, Script.getScriptWithDict(map));

    return scripts;
  }

  public final static ArrayList<Script> blockImage144604Tap() throws Exception {
    ArrayList<Script> scripts = new ArrayList<Script>();
    HashMap<String,String> map;
    map = new HashMap<String,String>();
      map.put("action", "dict_add");
      map.put("condition", "");
      map.put("feed", "");
      map.put("key", "lost");
      map.put("value", "[[ds:/Golden Halfway/item/lost_ref]]");
      map.put("when_value_1", "");
      map.put("when_value_2", "");
      addIfNotNull(scripts, Script.getScriptWithDict(map));

    map = new HashMap<String,String>();
      map.put("action", "db_filter");
      map.put("condition", "");
      map.put("criteria", "=\"[[var:lost]]\"");
      map.put("feed", "/6665/item");
      map.put("field", "/6665/item/ref");
      map.put("replacement", "1");
      map.put("when_value_1", "");
      map.put("when_value_2", "");
      addIfNotNull(scripts, Script.getScriptWithDict(map));

    map = new HashMap<String,String>();
      map.put("action", "view_change");
      map.put("condition", "not empty");
      map.put("duration", "");
      map.put("history", "push");
      map.put("transition", "none");
      map.put("view", "26783");
      map.put("when_value_1", "[[ds:/Golden Halfway/item/lost_image]]");
      map.put("when_value_2", "");
      addIfNotNull(scripts, Script.getScriptWithDict(map));

    return scripts;
  }

  public final static ArrayList<Script> blockImage144610Tap() throws Exception {
    ArrayList<Script> scripts = new ArrayList<Script>();
    HashMap<String,String> map;
    map = new HashMap<String,String>();
      map.put("action", "prop_set");
      map.put("condition", "");
      map.put("object_type", "app");
      map.put("prop_name", "audioPlaySpeed");
      map.put("value", "0");
      map.put("when_value_1", "");
      map.put("when_value_2", "");
      addIfNotNull(scripts, Script.getScriptWithDict(map));

    map = new HashMap<String,String>();
      map.put("action", "container_set_block");
      map.put("block", "144611");
      map.put("condition", "");
      map.put("container", "144609");
      map.put("when_value_1", "");
      map.put("when_value_2", "");
      addIfNotNull(scripts, Script.getScriptWithDict(map));

    map = new HashMap<String,String>();
      map.put("action", "container_set_block");
      map.put("block", "144613");
      map.put("condition", "");
      map.put("container", "144608");
      map.put("when_value_1", "");
      map.put("when_value_2", "");
      addIfNotNull(scripts, Script.getScriptWithDict(map));

    map = new HashMap<String,String>();
      map.put("action", "container_set_block");
      map.put("block", "144613");
      map.put("condition", "");
      map.put("container", "144612");
      map.put("when_value_1", "");
      map.put("when_value_2", "");
      addIfNotNull(scripts, Script.getScriptWithDict(map));

    map = new HashMap<String,String>();
      map.put("action", "block_refresh");
      map.put("block", "144609");
      map.put("condition", "");
      map.put("duration", "");
      map.put("transition", "none");
      map.put("when_value_1", "");
      map.put("when_value_2", "");
      addIfNotNull(scripts, Script.getScriptWithDict(map));

    map = new HashMap<String,String>();
      map.put("action", "block_refresh");
      map.put("block", "144608");
      map.put("condition", "");
      map.put("duration", "0.25");
      map.put("transition", "fade");
      map.put("when_value_1", "");
      map.put("when_value_2", "");
      addIfNotNull(scripts, Script.getScriptWithDict(map));

    map = new HashMap<String,String>();
      map.put("action", "block_refresh");
      map.put("block", "144612");
      map.put("condition", "");
      map.put("duration", "0.25");
      map.put("transition", "fade");
      map.put("when_value_1", "");
      map.put("when_value_2", "");
      addIfNotNull(scripts, Script.getScriptWithDict(map));

    return scripts;
  }

  public final static ArrayList<Script> blockImage144611Tap() throws Exception {
    ArrayList<Script> scripts = new ArrayList<Script>();
    HashMap<String,String> map;
    map = new HashMap<String,String>();
      map.put("action", "prop_set");
      map.put("condition", "");
      map.put("object_type", "app");
      map.put("prop_name", "audioPlaySpeed");
      map.put("value", "1.0");
      map.put("when_value_1", "");
      map.put("when_value_2", "");
      addIfNotNull(scripts, Script.getScriptWithDict(map));

    map = new HashMap<String,String>();
      map.put("action", "container_set_block");
      map.put("block", "144610");
      map.put("condition", "");
      map.put("container", "144609");
      map.put("when_value_1", "");
      map.put("when_value_2", "");
      addIfNotNull(scripts, Script.getScriptWithDict(map));

    map = new HashMap<String,String>();
      map.put("action", "container_set_block");
      map.put("block", "144526");
      map.put("condition", "");
      map.put("container", "144608");
      map.put("when_value_1", "");
      map.put("when_value_2", "");
      addIfNotNull(scripts, Script.getScriptWithDict(map));

    map = new HashMap<String,String>();
      map.put("action", "container_set_block");
      map.put("block", "144526");
      map.put("condition", "");
      map.put("container", "144612");
      map.put("when_value_1", "");
      map.put("when_value_2", "");
      addIfNotNull(scripts, Script.getScriptWithDict(map));

    map = new HashMap<String,String>();
      map.put("action", "block_refresh");
      map.put("block", "144609");
      map.put("condition", "");
      map.put("duration", "");
      map.put("transition", "none");
      map.put("when_value_1", "");
      map.put("when_value_2", "");
      addIfNotNull(scripts, Script.getScriptWithDict(map));

    map = new HashMap<String,String>();
      map.put("action", "block_refresh");
      map.put("block", "144608");
      map.put("condition", "");
      map.put("duration", "0.25");
      map.put("transition", "fade");
      map.put("when_value_1", "");
      map.put("when_value_2", "");
      addIfNotNull(scripts, Script.getScriptWithDict(map));

    map = new HashMap<String,String>();
      map.put("action", "block_refresh");
      map.put("block", "144612");
      map.put("condition", "");
      map.put("duration", "0.25");
      map.put("transition", "fade");
      map.put("when_value_1", "");
      map.put("when_value_2", "");
      addIfNotNull(scripts, Script.getScriptWithDict(map));

    return scripts;
  }

  public final static ArrayList<Script> blockImage144614Tap() throws Exception {
    ArrayList<Script> scripts = new ArrayList<Script>();
    HashMap<String,String> map;
    map = new HashMap<String,String>();
      map.put("action", "layer_remove");
      map.put("condition", "");
      map.put("view", "26793");
      map.put("when_value_1", "");
      map.put("when_value_2", "");
      addIfNotNull(scripts, Script.getScriptWithDict(map));

    return scripts;
  }

  public final static ArrayList<Script> blockTitleBar144615TapLeft() throws Exception {
    ArrayList<Script> scripts = new ArrayList<Script>();
    HashMap<String,String> map;
    map = new HashMap<String,String>();
      map.put("action", "dict_add");
      map.put("condition", "");
      map.put("feed", "");
      map.put("key", "tab");
      map.put("value", "1");
      map.put("when_value_1", "");
      map.put("when_value_2", "");
      addIfNotNull(scripts, Script.getScriptWithDict(map));

    map = new HashMap<String,String>();
      map.put("action", "view_change");
      map.put("condition", "");
      map.put("duration", "");
      map.put("history", "clear");
      map.put("transition", "none");
      map.put("view", "26746");
      map.put("when_value_1", "");
      map.put("when_value_2", "");
      addIfNotNull(scripts, Script.getScriptWithDict(map));

    return scripts;
  }

  public final static ArrayList<Script> blockImage144620Tap() throws Exception {
    ArrayList<Script> scripts = new ArrayList<Script>();
    HashMap<String,String> map;
    map = new HashMap<String,String>();
      map.put("action", "view_change");
      map.put("condition", "");
      map.put("duration", "");
      map.put("history", "");
      map.put("transition", "none");
      map.put("view", "26765");
      map.put("when_value_1", "");
      map.put("when_value_2", "");
      addIfNotNull(scripts, Script.getScriptWithDict(map));

    return scripts;
  }

  public final static ArrayList<Script> blockTitleBar144634TapLeft() throws Exception {
    ArrayList<Script> scripts = new ArrayList<Script>();
    HashMap<String,String> map;
    map = new HashMap<String,String>();
      map.put("action", "dict_add");
      map.put("condition", "");
      map.put("feed", "");
      map.put("key", "tab");
      map.put("value", "1");
      map.put("when_value_1", "");
      map.put("when_value_2", "");
      addIfNotNull(scripts, Script.getScriptWithDict(map));

    map = new HashMap<String,String>();
      map.put("action", "view_change");
      map.put("condition", "");
      map.put("duration", "");
      map.put("history", "");
      map.put("transition", "none");
      map.put("view", "26771");
      map.put("when_value_1", "");
      map.put("when_value_2", "");
      addIfNotNull(scripts, Script.getScriptWithDict(map));

    return scripts;
  }

  public final static ArrayList<Script> blockImageMap144635Tap() throws Exception {
    ArrayList<Script> scripts = new ArrayList<Script>();
    HashMap<String,String> map;
    map = new HashMap<String,String>();
      map.put("action", "script_run_after");
      map.put("condition", "");
      map.put("script", "NorthMapTap");
      map.put("when_value_1", "");
      map.put("when_value_2", "");
      addIfNotNull(scripts, Script.getScriptWithDict(map));

    return scripts;
  }

  public final static ArrayList<Script> blockText144638Tap() throws Exception {
    ArrayList<Script> scripts = new ArrayList<Script>();
    HashMap<String,String> map;
    map = new HashMap<String,String>();
      map.put("action", "layer_remove");
      map.put("condition", "");
      map.put("view", "26802");
      map.put("when_value_1", "");
      map.put("when_value_2", "");
      addIfNotNull(scripts, Script.getScriptWithDict(map));

    map = new HashMap<String,String>();
      map.put("action", "layer_add");
      map.put("condition", "");
      map.put("view", "26803");
      map.put("when_value_1", "");
      map.put("when_value_2", "");
      addIfNotNull(scripts, Script.getScriptWithDict(map));

    return scripts;
  }

  public final static ArrayList<Script> blockTabBarStatic144642Select0() throws Exception {
    ArrayList<Script> scripts = new ArrayList<Script>();
    HashMap<String,String> map;
    map = new HashMap<String,String>();
      map.put("action", "url_open");
      map.put("condition", "");
      map.put("url", "[[ds:/Golden North Map/item/google_location]]");
      map.put("when_value_1", "");
      map.put("when_value_2", "");
      addIfNotNull(scripts, Script.getScriptWithDict(map));

    return scripts;
  }

  public final static ArrayList<Script> blockImage144644Tap() throws Exception {
    ArrayList<Script> scripts = new ArrayList<Script>();
    HashMap<String,String> map;
    map = new HashMap<String,String>();
      map.put("action", "layer_remove_all");
      map.put("condition", "");
      map.put("when_value_1", "");
      map.put("when_value_2", "");
      addIfNotNull(scripts, Script.getScriptWithDict(map));

    return scripts;
  }

  public final static ArrayList<Script> blockImageMap144649Tap() throws Exception {
    ArrayList<Script> scripts = new ArrayList<Script>();
    HashMap<String,String> map;
    map = new HashMap<String,String>();
      map.put("action", "script_run_after");
      map.put("condition", "");
      map.put("script", "SouthMapTap");
      map.put("when_value_1", "");
      map.put("when_value_2", "");
      addIfNotNull(scripts, Script.getScriptWithDict(map));

    return scripts;
  }

  public final static ArrayList<Script> blockText144654Tap() throws Exception {
    ArrayList<Script> scripts = new ArrayList<Script>();
    HashMap<String,String> map;
    map = new HashMap<String,String>();
      map.put("action", "layer_remove");
      map.put("condition", "");
      map.put("view", "26805");
      map.put("when_value_1", "");
      map.put("when_value_2", "");
      addIfNotNull(scripts, Script.getScriptWithDict(map));

    map = new HashMap<String,String>();
      map.put("action", "layer_add");
      map.put("condition", "");
      map.put("view", "26806");
      map.put("when_value_1", "");
      map.put("when_value_2", "");
      addIfNotNull(scripts, Script.getScriptWithDict(map));

    return scripts;
  }

  public final static ArrayList<Script> blockTitleBar144655TapLeft() throws Exception {
    ArrayList<Script> scripts = new ArrayList<Script>();
    HashMap<String,String> map;
    map = new HashMap<String,String>();
      map.put("action", "dict_add");
      map.put("condition", "");
      map.put("feed", "");
      map.put("key", "tab");
      map.put("value", "1");
      map.put("when_value_1", "");
      map.put("when_value_2", "");
      addIfNotNull(scripts, Script.getScriptWithDict(map));

    map = new HashMap<String,String>();
      map.put("action", "view_change");
      map.put("condition", "");
      map.put("duration", "");
      map.put("history", "");
      map.put("transition", "none");
      map.put("view", "26771");
      map.put("when_value_1", "");
      map.put("when_value_2", "");
      addIfNotNull(scripts, Script.getScriptWithDict(map));

    return scripts;
  }

  public final static ArrayList<Script> blockTabBarStatic144659Select0() throws Exception {
    ArrayList<Script> scripts = new ArrayList<Script>();
    HashMap<String,String> map;
    map = new HashMap<String,String>();
      map.put("action", "url_open");
      map.put("condition", "");
      map.put("url", "[[ds:/Golden South Map/item/google_location]]");
      map.put("when_value_1", "");
      map.put("when_value_2", "");
      addIfNotNull(scripts, Script.getScriptWithDict(map));

    return scripts;
  }

  public final static ArrayList<Script> blockVideo144665Done() throws Exception {
    ArrayList<Script> scripts = new ArrayList<Script>();
    HashMap<String,String> map;
    map = new HashMap<String,String>();
      map.put("action", "view_change");
      map.put("condition", "");
      map.put("duration", "");
      map.put("history", "clear");
      map.put("transition", "fade");
      map.put("view", "26746");
      map.put("when_value_1", "");
      map.put("when_value_2", "");
      addIfNotNull(scripts, Script.getScriptWithDict(map));

    return scripts;
  }

  public final static ArrayList<Script> blockVideo144665Play() throws Exception {
    ArrayList<Script> scripts = new ArrayList<Script>();
    HashMap<String,String> map;
    map = new HashMap<String,String>();
      map.put("action", "layer_add");
      map.put("condition", "");
      map.put("view", "26820");
      map.put("when_value_1", "");
      map.put("when_value_2", "");
      addIfNotNull(scripts, Script.getScriptWithDict(map));

    return scripts;
  }

  public final static ArrayList<Script> blockVideo144665PlaybackSuccess() throws Exception {
    ArrayList<Script> scripts = new ArrayList<Script>();
    HashMap<String,String> map;
    map = new HashMap<String,String>();
      map.put("action", "layer_add");
      map.put("condition", "");
      map.put("view", "26820");
      map.put("when_value_1", "");
      map.put("when_value_2", "");
      addIfNotNull(scripts, Script.getScriptWithDict(map));

    return scripts;
  }

  public final static ArrayList<Script> blockImageMap144668Tap() throws Exception {
    ArrayList<Script> scripts = new ArrayList<Script>();
    HashMap<String,String> map;
    map = new HashMap<String,String>();
      map.put("action", "script_run_after");
      map.put("condition", "");
      map.put("script", "PlazaMapTap");
      map.put("when_value_1", "");
      map.put("when_value_2", "");
      addIfNotNull(scripts, Script.getScriptWithDict(map));

    return scripts;
  }

  public final static ArrayList<Script> blockTitleBar144669TapLeft() throws Exception {
    ArrayList<Script> scripts = new ArrayList<Script>();
    HashMap<String,String> map;
    map = new HashMap<String,String>();
      map.put("action", "dict_add");
      map.put("condition", "");
      map.put("feed", "");
      map.put("key", "tab");
      map.put("value", "1");
      map.put("when_value_1", "");
      map.put("when_value_2", "");
      addIfNotNull(scripts, Script.getScriptWithDict(map));

    map = new HashMap<String,String>();
      map.put("action", "view_change");
      map.put("condition", "");
      map.put("duration", "");
      map.put("history", "clear");
      map.put("transition", "none");
      map.put("view", "26750");
      map.put("when_value_1", "");
      map.put("when_value_2", "");
      addIfNotNull(scripts, Script.getScriptWithDict(map));

    map = new HashMap<String,String>();
      map.put("action", "layer_remove_all");
      map.put("condition", "");
      map.put("when_value_1", "");
      map.put("when_value_2", "");
      addIfNotNull(scripts, Script.getScriptWithDict(map));

    return scripts;
  }

  public final static ArrayList<Script> blockImageMap144672Tap() throws Exception {
    ArrayList<Script> scripts = new ArrayList<Script>();
    HashMap<String,String> map;
    map = new HashMap<String,String>();
      map.put("action", "script_run_after");
      map.put("condition", "");
      map.put("script", "PlazaMapTap");
      map.put("when_value_1", "");
      map.put("when_value_2", "");
      addIfNotNull(scripts, Script.getScriptWithDict(map));

    return scripts;
  }

  public final static ArrayList<Script> blockImageMap144676Tap() throws Exception {
    ArrayList<Script> scripts = new ArrayList<Script>();
    HashMap<String,String> map;
    map = new HashMap<String,String>();
      map.put("action", "script_run_after");
      map.put("condition", "");
      map.put("script", "PlazaMapTap");
      map.put("when_value_1", "");
      map.put("when_value_2", "");
      addIfNotNull(scripts, Script.getScriptWithDict(map));

    return scripts;
  }

  public final static ArrayList<Script> blockImageMap144679Tap() throws Exception {
    ArrayList<Script> scripts = new ArrayList<Script>();
    HashMap<String,String> map;
    map = new HashMap<String,String>();
      map.put("action", "script_run_after");
      map.put("condition", "");
      map.put("script", "PlazaMapTap");
      map.put("when_value_1", "");
      map.put("when_value_2", "");
      addIfNotNull(scripts, Script.getScriptWithDict(map));

    return scripts;
  }

  public final static ArrayList<Script> blockImageMap144682Tap() throws Exception {
    ArrayList<Script> scripts = new ArrayList<Script>();
    HashMap<String,String> map;
    map = new HashMap<String,String>();
      map.put("action", "script_run_after");
      map.put("condition", "");
      map.put("script", "PlazaMapTap");
      map.put("when_value_1", "");
      map.put("when_value_2", "");
      addIfNotNull(scripts, Script.getScriptWithDict(map));

    return scripts;
  }

  public final static ArrayList<Script> blockText144684Tap() throws Exception {
    ArrayList<Script> scripts = new ArrayList<Script>();
    HashMap<String,String> map;
    map = new HashMap<String,String>();
      map.put("action", "layer_remove");
      map.put("condition", "");
      map.put("view", "26814");
      map.put("when_value_1", "");
      map.put("when_value_2", "");
      addIfNotNull(scripts, Script.getScriptWithDict(map));

    map = new HashMap<String,String>();
      map.put("action", "layer_add");
      map.put("condition", "");
      map.put("view", "26817");
      map.put("when_value_1", "");
      map.put("when_value_2", "");
      addIfNotNull(scripts, Script.getScriptWithDict(map));

    return scripts;
  }

  public final static ArrayList<Script> blockTitleBar144689TapLeft() throws Exception {
    ArrayList<Script> scripts = new ArrayList<Script>();
    HashMap<String,String> map;
    map = new HashMap<String,String>();
      map.put("action", "layer_remove_all");
      map.put("condition", "");
      map.put("when_value_1", "");
      map.put("when_value_2", "");
      addIfNotNull(scripts, Script.getScriptWithDict(map));

    return scripts;
  }

  public final static ArrayList<Script> blockImage144695Tap() throws Exception {
    ArrayList<Script> scripts = new ArrayList<Script>();
    HashMap<String,String> map;
    map = new HashMap<String,String>();
      map.put("action", "layer_remove_all");
      map.put("condition", "");
      map.put("when_value_1", "");
      map.put("when_value_2", "");
      addIfNotNull(scripts, Script.getScriptWithDict(map));

    return scripts;
  }

  public final static ArrayList<Script> blockList144697Tap() throws Exception {
    ArrayList<Script> scripts = new ArrayList<Script>();
    HashMap<String,String> map;
    map = new HashMap<String,String>();
      map.put("action", "view_change");
      map.put("condition", "eq");
      map.put("duration", "");
      map.put("history", "clear");
      map.put("transition", "none");
      map.put("view", "26808");
      map.put("when_value_1", "[[ds:/Golden Plaza Filter/item/id]]");
      map.put("when_value_2", "1");
      addIfNotNull(scripts, Script.getScriptWithDict(map));

    map = new HashMap<String,String>();
      map.put("action", "view_change");
      map.put("condition", "eq");
      map.put("duration", "");
      map.put("history", "clear");
      map.put("transition", "none");
      map.put("view", "26809");
      map.put("when_value_1", "[[ds:/Golden Plaza Filter/item/id]]");
      map.put("when_value_2", "2");
      addIfNotNull(scripts, Script.getScriptWithDict(map));

    map = new HashMap<String,String>();
      map.put("action", "view_change");
      map.put("condition", "eq");
      map.put("duration", "");
      map.put("history", "clear");
      map.put("transition", "none");
      map.put("view", "26811");
      map.put("when_value_1", "[[ds:/Golden Plaza Filter/item/id]]");
      map.put("when_value_2", "3");
      addIfNotNull(scripts, Script.getScriptWithDict(map));

    map = new HashMap<String,String>();
      map.put("action", "view_change");
      map.put("condition", "eq");
      map.put("duration", "");
      map.put("history", "clear");
      map.put("transition", "none");
      map.put("view", "26812");
      map.put("when_value_1", "[[ds:/Golden Plaza Filter/item/id]]");
      map.put("when_value_2", "4");
      addIfNotNull(scripts, Script.getScriptWithDict(map));

    map = new HashMap<String,String>();
      map.put("action", "view_change");
      map.put("condition", "eq");
      map.put("duration", "");
      map.put("history", "clear");
      map.put("transition", "none");
      map.put("view", "26813");
      map.put("when_value_1", "[[ds:/Golden Plaza Filter/item/id]]");
      map.put("when_value_2", "5");
      addIfNotNull(scripts, Script.getScriptWithDict(map));

    map = new HashMap<String,String>();
      map.put("action", "view_change");
      map.put("condition", "eq");
      map.put("duration", "");
      map.put("history", "clear");
      map.put("transition", "none");
      map.put("view", "26818");
      map.put("when_value_1", "[[ds:/Golden Plaza Filter/item/id]]");
      map.put("when_value_2", "6");
      addIfNotNull(scripts, Script.getScriptWithDict(map));

    return scripts;
  }

  public final static ArrayList<Script> blockText144704Tap() throws Exception {
    ArrayList<Script> scripts = new ArrayList<Script>();
    HashMap<String,String> map;
    map = new HashMap<String,String>();
      map.put("action", "layer_remove");
      map.put("condition", "");
      map.put("view", "26814");
      map.put("when_value_1", "");
      map.put("when_value_2", "");
      addIfNotNull(scripts, Script.getScriptWithDict(map));

    map = new HashMap<String,String>();
      map.put("action", "layer_add");
      map.put("condition", "");
      map.put("view", "26817");
      map.put("when_value_1", "");
      map.put("when_value_2", "");
      addIfNotNull(scripts, Script.getScriptWithDict(map));

    return scripts;
  }

  public final static ArrayList<Script> blockHtml144705Tap() throws Exception {
    ArrayList<Script> scripts = new ArrayList<Script>();
    HashMap<String,String> map;
    map = new HashMap<String,String>();
      map.put("action", "layer_remove");
      map.put("condition", "");
      map.put("view", "26814");
      map.put("when_value_1", "");
      map.put("when_value_2", "");
      addIfNotNull(scripts, Script.getScriptWithDict(map));

    map = new HashMap<String,String>();
      map.put("action", "layer_add");
      map.put("condition", "");
      map.put("view", "26817");
      map.put("when_value_1", "");
      map.put("when_value_2", "");
      addIfNotNull(scripts, Script.getScriptWithDict(map));

    return scripts;
  }

  public final static ArrayList<Script> blockImage144708Tap() throws Exception {
    ArrayList<Script> scripts = new ArrayList<Script>();
    HashMap<String,String> map;
    map = new HashMap<String,String>();
      map.put("action", "view_change");
      map.put("condition", "");
      map.put("duration", "");
      map.put("history", "");
      map.put("transition", "none");
      map.put("view", "26750");
      map.put("when_value_1", "");
      map.put("when_value_2", "");
      addIfNotNull(scripts, Script.getScriptWithDict(map));

    map = new HashMap<String,String>();
      map.put("action", "layer_remove_all");
      map.put("condition", "");
      map.put("when_value_1", "");
      map.put("when_value_2", "");
      addIfNotNull(scripts, Script.getScriptWithDict(map));

    return scripts;
  }

  public final static ArrayList<Script> blockTitleBar144716TapLeft() throws Exception {
    ArrayList<Script> scripts = new ArrayList<Script>();
    HashMap<String,String> map;
    map = new HashMap<String,String>();
      map.put("action", "dict_add");
      map.put("condition", "");
      map.put("feed", "");
      map.put("key", "tab");
      map.put("value", "1");
      map.put("when_value_1", "");
      map.put("when_value_2", "");
      addIfNotNull(scripts, Script.getScriptWithDict(map));

    map = new HashMap<String,String>();
      map.put("action", "view_change");
      map.put("condition", "");
      map.put("duration", "");
      map.put("history", "clear");
      map.put("transition", "none");
      map.put("view", "26750");
      map.put("when_value_1", "");
      map.put("when_value_2", "");
      addIfNotNull(scripts, Script.getScriptWithDict(map));

    return scripts;
  }

  public final static ArrayList<Script> blockHtml144717Tap() throws Exception {
    ArrayList<Script> scripts = new ArrayList<Script>();
    HashMap<String,String> map;
    map = new HashMap<String,String>();
      map.put("action", "layer_remove");
      map.put("condition", "");
      map.put("view", "26814");
      map.put("when_value_1", "");
      map.put("when_value_2", "");
      addIfNotNull(scripts, Script.getScriptWithDict(map));

    map = new HashMap<String,String>();
      map.put("action", "layer_add");
      map.put("condition", "");
      map.put("view", "26817");
      map.put("when_value_1", "");
      map.put("when_value_2", "");
      addIfNotNull(scripts, Script.getScriptWithDict(map));

    return scripts;
  }

  public final static ArrayList<Script> blockTitleBar144723TapLeft() throws Exception {
    ArrayList<Script> scripts = new ArrayList<Script>();
    HashMap<String,String> map;
    map = new HashMap<String,String>();
      map.put("action", "dict_add");
      map.put("condition", "");
      map.put("feed", "");
      map.put("key", "tab");
      map.put("value", "1");
      map.put("when_value_1", "");
      map.put("when_value_2", "");
      addIfNotNull(scripts, Script.getScriptWithDict(map));

    map = new HashMap<String,String>();
      map.put("action", "view_change");
      map.put("condition", "");
      map.put("duration", "");
      map.put("history", "");
      map.put("transition", "none");
      map.put("view", "26765");
      map.put("when_value_1", "");
      map.put("when_value_2", "");
      addIfNotNull(scripts, Script.getScriptWithDict(map));

    return scripts;
  }

  public final static ArrayList<Script> blockHtml144729Tap() throws Exception {
    ArrayList<Script> scripts = new ArrayList<Script>();
    HashMap<String,String> map;
    map = new HashMap<String,String>();
      map.put("action", "layer_remove");
      map.put("condition", "");
      map.put("view", "26805");
      map.put("when_value_1", "");
      map.put("when_value_2", "");
      addIfNotNull(scripts, Script.getScriptWithDict(map));

    map = new HashMap<String,String>();
      map.put("action", "layer_add");
      map.put("condition", "");
      map.put("view", "26806");
      map.put("when_value_1", "");
      map.put("when_value_2", "");
      addIfNotNull(scripts, Script.getScriptWithDict(map));

    return scripts;
  }

  public final static ArrayList<Script> blockHtml144730Tap() throws Exception {
    ArrayList<Script> scripts = new ArrayList<Script>();
    HashMap<String,String> map;
    map = new HashMap<String,String>();
      map.put("action", "layer_remove");
      map.put("condition", "");
      map.put("view", "26802");
      map.put("when_value_1", "");
      map.put("when_value_2", "");
      addIfNotNull(scripts, Script.getScriptWithDict(map));

    map = new HashMap<String,String>();
      map.put("action", "layer_add");
      map.put("condition", "");
      map.put("view", "26803");
      map.put("when_value_1", "");
      map.put("when_value_2", "");
      addIfNotNull(scripts, Script.getScriptWithDict(map));

    return scripts;
  }

  public final static ArrayList<Script> blockImageMap144738Tap() throws Exception {
    ArrayList<Script> scripts = new ArrayList<Script>();
    HashMap<String,String> map;
    map = new HashMap<String,String>();
      map.put("action", "script_run_after");
      map.put("condition", "");
      map.put("script", "PlazaMapTap");
      map.put("when_value_1", "");
      map.put("when_value_2", "");
      addIfNotNull(scripts, Script.getScriptWithDict(map));

    return scripts;
  }

  public final static ArrayList<Script> blockHorizontalPanel153699BeforeDraw() throws Exception {
    ArrayList<Script> scripts = new ArrayList<Script>();
    HashMap<String,String> map;
    map = new HashMap<String,String>();
      map.put("action", "layer_add");
      map.put("condition", "");
      map.put("view", "28725");
      map.put("when_value_1", "");
      map.put("when_value_2", "");
      addIfNotNull(scripts, Script.getScriptWithDict(map));

    map = new HashMap<String,String>();
      map.put("action", "view_timer_start");
      map.put("condition", "");
      map.put("seconds", "5");
      map.put("when_value_1", "");
      map.put("when_value_2", "");
      addIfNotNull(scripts, Script.getScriptWithDict(map));

    return scripts;
  }

  public final static ArrayList<Script> blockHtml153708Tap() throws Exception {
    ArrayList<Script> scripts = new ArrayList<Script>();
    HashMap<String,String> map;
    map = new HashMap<String,String>();
      map.put("action", "layer_add");
      map.put("condition", "");
      map.put("view", "26810");
      map.put("when_value_1", "");
      map.put("when_value_2", "");
      addIfNotNull(scripts, Script.getScriptWithDict(map));

    return scripts;
  }

  public final static ArrayList<Script> blockHtml153709Tap() throws Exception {
    ArrayList<Script> scripts = new ArrayList<Script>();
    HashMap<String,String> map;
    map = new HashMap<String,String>();
      map.put("action", "layer_add");
      map.put("condition", "");
      map.put("view", "26810");
      map.put("when_value_1", "");
      map.put("when_value_2", "");
      addIfNotNull(scripts, Script.getScriptWithDict(map));

    return scripts;
  }

  public final static ArrayList<Script> blockImage158689Tap() throws Exception {
    ArrayList<Script> scripts = new ArrayList<Script>();
    HashMap<String,String> map;
    map = new HashMap<String,String>();
      map.put("action", "view_change");
      map.put("condition", "");
      map.put("duration", "");
      map.put("history", "clear");
      map.put("transition", "none");
      map.put("view", "26746");
      map.put("when_value_1", "");
      map.put("when_value_2", "");
      addIfNotNull(scripts, Script.getScriptWithDict(map));

    map = new HashMap<String,String>();
      map.put("action", "layer_remove_all");
      map.put("condition", "");
      map.put("when_value_1", "");
      map.put("when_value_2", "");
      addIfNotNull(scripts, Script.getScriptWithDict(map));

    return scripts;
  }

  public final static ArrayList<Script> blockImage158826Tap() throws Exception {
    ArrayList<Script> scripts = new ArrayList<Script>();
    HashMap<String,String> map;
    map = new HashMap<String,String>();
      map.put("action", "layer_add");
      map.put("condition", "not empty");
      map.put("view", "26810");
      map.put("when_value_1", "[[ds:/Golden Timeline/item/image_fullscreen]]");
      map.put("when_value_2", "");
      addIfNotNull(scripts, Script.getScriptWithDict(map));

    return scripts;
  }

  public final static ArrayList<Script> view26748TimerExpiration() throws Exception {
    ArrayList<Script> scripts = new ArrayList<Script>();
    HashMap<String,String> map;
    map = new HashMap<String,String>();
      map.put("action", "dict_add");
      map.put("condition", "eq");
      map.put("key", "results");
      map.put("value", "[[var:results:add 1]]");
      map.put("when_value_1", "[[var:answer]]");
      map.put("when_value_2", "true");
      addIfNotNull(scripts, Script.getScriptWithDict(map));

    map = new HashMap<String,String>();
      map.put("action", "container_set_block");
      map.put("block", "144362");
      map.put("condition", "eq");
      map.put("container", "144361");
      map.put("when_value_1", "[[var:answer]]");
      map.put("when_value_2", "true");
      addIfNotNull(scripts, Script.getScriptWithDict(map));

    map = new HashMap<String,String>();
      map.put("action", "container_set_block");
      map.put("block", "144363");
      map.put("condition", "eq");
      map.put("container", "144361");
      map.put("when_value_1", "[[var:answer]]");
      map.put("when_value_2", "false");
      addIfNotNull(scripts, Script.getScriptWithDict(map));

    map = new HashMap<String,String>();
      map.put("action", "view_change");
      map.put("condition", "");
      map.put("duration", "");
      map.put("history", "");
      map.put("transition", "none");
      map.put("view", "26753");
      map.put("when_value_1", "");
      map.put("when_value_2", "");
      addIfNotNull(scripts, Script.getScriptWithDict(map));

    map = new HashMap<String,String>();
      map.put("action", "layer_add");
      map.put("condition", "");
      map.put("view", "26754");
      map.put("when_value_1", "");
      map.put("when_value_2", "");
      addIfNotNull(scripts, Script.getScriptWithDict(map));

    map = new HashMap<String,String>();
      map.put("action", "block_refresh");
      map.put("block", "144361");
      map.put("condition", "");
      map.put("duration", "");
      map.put("transition", "none");
      map.put("when_value_1", "");
      map.put("when_value_2", "");
      addIfNotNull(scripts, Script.getScriptWithDict(map));

    return scripts;
  }

  public final static ArrayList<Script> view26783TimerExpiration() throws Exception {
    ArrayList<Script> scripts = new ArrayList<Script>();
    HashMap<String,String> map;
    map = new HashMap<String,String>();
      map.put("action", "layer_visibility");
      map.put("condition", "");
      map.put("view", "28725");
      map.put("when_value_1", "");
      map.put("when_value_2", "");
      addIfNotNull(scripts, Script.getScriptWithDict(map));

    return scripts;
  }

  public final static ArrayList<Script> view26799BeforeDraw() throws Exception {
    ArrayList<Script> scripts = new ArrayList<Script>();
    HashMap<String,String> map;
    map = new HashMap<String,String>();
      map.put("action", "block_refresh");
      map.put("block", "144622");
      map.put("condition", "");
      map.put("duration", "");
      map.put("transition", "none");
      map.put("when_value_1", "");
      map.put("when_value_2", "");
      addIfNotNull(scripts, Script.getScriptWithDict(map));

    return scripts;
  }
}
